#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2b1f6, "crypto_aead_setkey" },
	{ 0xc4c3f554, "crypto_destroy_tfm" },
	{ 0x21cd536a, "crypto_put_default_null_skcipher" },
	{ 0x37a0cba, "kfree" },
	{ 0x46bff220, "af_alg_unregister_type" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x3577094, "crypto_alloc_aead" },
	{ 0x557bd64, "crypto_get_default_null_skcipher" },
	{ 0x83cb45f0, "lock_sock_nested" },
	{ 0x6b21ea26, "release_sock" },
	{ 0x7feb59df, "af_alg_alloc_areq" },
	{ 0xecf8be64, "af_alg_get_rsgl" },
	{ 0x772117ec, "af_alg_free_resources" },
	{ 0x310c076b, "af_alg_wmem_wakeup" },
	{ 0x974287a6, "af_alg_wait_for_data" },
	{ 0x27e92408, "af_alg_async_cb" },
	{ 0xe1fbf1d5, "crypto_aead_decrypt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x9dd34c30, "crypto_aead_encrypt" },
	{ 0x46fa8e2a, "af_alg_count_tsgl" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xfea80c95, "sk_free" },
	{ 0x490a9aa, "af_alg_release" },
	{ 0x3fad431f, "sock_no_bind" },
	{ 0x7840f24b, "sock_no_connect" },
	{ 0x896223fb, "sock_no_socketpair" },
	{ 0x7db804a8, "sock_no_accept" },
	{ 0x8d27914, "sock_no_getname" },
	{ 0x4d5bb6, "af_alg_poll" },
	{ 0xdff9572d, "sock_no_ioctl" },
	{ 0x8f665004, "sock_no_listen" },
	{ 0x6009019c, "sock_no_shutdown" },
	{ 0xabae1dc2, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x60761ee9, "af_alg_register_type" },
	{ 0x63e77499, "crypto_skcipher_encrypt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc87162e2, "af_alg_sendmsg" },
	{ 0x970cbd68, "crypto_aead_setauthsize" },
	{ 0x558fcfdd, "af_alg_pull_tsgl" },
	{ 0xa4b18e42, "sock_kzfree_s" },
	{ 0x9a9ca8d3, "sock_kfree_s" },
	{ 0xa0091a24, "af_alg_release_parent" },
	{ 0x6663a382, "sock_kmalloc" },
	{ 0xfb578fc5, "memset" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "af_alg");


MODULE_INFO(srcversion, "6B9C2886D9915EB01BA8ECF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
