#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(btmrvl_interrupt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_check_evtpkt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_process_event, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_module_cfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_pscan_window_reporting, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_hscfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_ps, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_hs, "_gpl", "");
KSYMTAB_FUNC(btmrvl_register_hdev, "_gpl", "");
KSYMTAB_FUNC(btmrvl_add_card, "_gpl", "");
KSYMTAB_FUNC(btmrvl_remove_card, "_gpl", "");

SYMBOL_CRC(btmrvl_interrupt, 0xe664f353, "_gpl");
SYMBOL_CRC(btmrvl_check_evtpkt, 0x4366d45d, "_gpl");
SYMBOL_CRC(btmrvl_process_event, 0x21b504a1, "_gpl");
SYMBOL_CRC(btmrvl_send_module_cfg_cmd, 0x623de9b7, "_gpl");
SYMBOL_CRC(btmrvl_pscan_window_reporting, 0x3bbd323b, "_gpl");
SYMBOL_CRC(btmrvl_send_hscfg_cmd, 0xa2bf60cd, "_gpl");
SYMBOL_CRC(btmrvl_enable_ps, 0xc0365762, "_gpl");
SYMBOL_CRC(btmrvl_enable_hs, 0x71aabeeb, "_gpl");
SYMBOL_CRC(btmrvl_register_hdev, 0x5647685e, "_gpl");
SYMBOL_CRC(btmrvl_add_card, 0x35ce3da8, "_gpl");
SYMBOL_CRC(btmrvl_remove_card, 0x6e9f31d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d57283f, "wake_up_process" },
	{ 0x56285e38, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3f852956, "__alloc_skb" },
	{ 0x4da47d34, "skb_queue_tail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x89bdf2f3, "simple_open" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0x89ebec33, "skb_push" },
	{ 0xcfc31fd0, "debugfs_remove" },
	{ 0xd75d03cf, "kthread_stop" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x56e9edaa, "default_llseek" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2505bf18, "kstrtol_from_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce6ef84f, "debugfs_create_x16" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x53565fab, "kthread_create_on_node" },
	{ 0x8e83033e, "hci_unregister_dev" },
	{ 0x921d6b5c, "debugfs_create_file" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x9ce3c829, "hci_register_dev" },
	{ 0x5df99d, "__hci_cmd_sync" },
	{ 0xa615ccbd, "debugfs_create_u8" },
	{ 0x97c89c06, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x7b10afb6, "skb_queue_head" },
	{ 0x5821f1f1, "skb_put" },
	{ 0x923abd96, "hci_free_dev" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5eee34d, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2d58ad0e, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "4DAA8C2DB56C352B9807349");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
