#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x34307646, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0xcca9faab, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0xf2895d24, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0xe454c155, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x14509f72, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x956c8d9f, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xae1eb6b1, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xc712577f, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x4c43829c, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x3ff35657, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xb6670871, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x4710a841, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x8bfacbf9, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xcd9451f2, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x237daea5, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0xe8d868b1, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0xd666ca69, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x89a66856, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x617ded25, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x2618d73c, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x559ada15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5dfe3df6, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xd9896cfb, "sysfs_notify" },
	{ 0x7c0758ab, "kobject_uevent" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0x9419dfe6, "regulator_notifier_call_chain" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2d196de5, "i2c_smbus_xfer" },
	{ 0x2b55d43f, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9158a570, "devm_hwmon_device_register_with_groups" },
	{ 0x24fc226a, "devm_regulator_register" },
	{ 0x5e8ade8e, "dev_err_probe" },
	{ 0xf6323209, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0x921d6b5c, "debugfs_create_file" },
	{ 0x8c10e47, "_dev_err" },
	{ 0xdcddc8c2, "device_create_file" },
	{ 0x687f87a8, "__devm_add_action" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x80631801, "noop_llseek" },
	{ 0x89bdf2f3, "simple_open" },
	{ 0x14b05db3, "debugfs_attr_read" },
	{ 0xa44093f3, "debugfs_attr_write" },
	{ 0x750f5ac0, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6c6fb157, "i2c_smbus_write_byte_data" },
	{ 0x443debd3, "i2c_smbus_read_byte_data" },
	{ 0x4ce3908c, "i2c_smbus_write_byte" },
	{ 0x9221b0c3, "i2c_smbus_write_word_data" },
	{ 0x30150016, "i2c_smbus_read_word_data" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd0bee530, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x89dc7d2f, "devm_krealloc" },
	{ 0x2a72de0e, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97c89c06, "debugfs_create_dir" },
	{ 0xcfc31fd0, "debugfs_remove" },
	{ 0x289c45b3, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xffd3e24d, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2bd542ec, "rdev_get_dev" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9ADF185378DC64CE2F41D13");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
