#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm97xx_reg_read, "_gpl", "");
KSYMTAB_FUNC(wm97xx_reg_write, "_gpl", "");
KSYMTAB_FUNC(wm97xx_read_aux_adc, "_gpl", "");
KSYMTAB_FUNC(wm97xx_get_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_config_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(wm97xx_register_mach_ops, "_gpl", "");
KSYMTAB_FUNC(wm97xx_unregister_mach_ops, "_gpl", "");
KSYMTAB_DATA(wm9705_codec, "_gpl", "");
KSYMTAB_DATA(wm9712_codec, "_gpl", "");
KSYMTAB_DATA(wm9713_codec, "_gpl", "");

SYMBOL_CRC(wm97xx_reg_read, 0x730c3d99, "_gpl");
SYMBOL_CRC(wm97xx_reg_write, 0x6e926b91, "_gpl");
SYMBOL_CRC(wm97xx_read_aux_adc, 0x3ca1c4b1, "_gpl");
SYMBOL_CRC(wm97xx_get_gpio, 0x90a4e769, "_gpl");
SYMBOL_CRC(wm97xx_set_gpio, 0x337ae87f, "_gpl");
SYMBOL_CRC(wm97xx_config_gpio, 0xc9d83eee, "_gpl");
SYMBOL_CRC(wm97xx_set_suspend_mode, 0x2007e550, "_gpl");
SYMBOL_CRC(wm97xx_register_mach_ops, 0x6d8bd1c5, "_gpl");
SYMBOL_CRC(wm97xx_unregister_mach_ops, 0x323f8d8f, "_gpl");
SYMBOL_CRC(wm9705_codec, 0xf0c1b33d, "_gpl");
SYMBOL_CRC(wm9712_codec, 0xed7fae67, "_gpl");
SYMBOL_CRC(wm9713_codec, 0x21d5aef9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd2e28da9, "input_event" },
	{ 0x6532d674, "input_set_abs_params" },
	{ 0xb6a76c4c, "__platform_driver_register" },
	{ 0xedaed86c, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa75460db, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4e920641, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf1251d55, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2a72de0e, "devm_kmalloc" },
	{ 0x586032d9, "platform_driver_unregister" },
	{ 0xd8265cb0, "devm_input_allocate_device" },
	{ 0x212169fd, "param_array_ops" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcccaa52e, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe678e646, "_dev_info" },
	{ 0x885fd229, "device_wakeup_disable" },
	{ 0x8c10e47, "_dev_err" },
	{ 0xe0aa03ee, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x702f00fd, "platform_device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6de2d2ca, "platform_device_add" },
	{ 0xa2cea90a, "platform_device_alloc" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FD1201B9F1DF58EE1128B59");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
