#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2a72de0e, "devm_kmalloc" },
	{ 0xa41c47e5, "devm_cci_regmap_init_i2c" },
	{ 0x1edd06c5, "__dev_fwnode" },
	{ 0xf463268b, "fwnode_graph_get_next_endpoint" },
	{ 0xf105fb75, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0x1f84ed6c, "fwnode_handle_put" },
	{ 0x643729c9, "v4l2_fwnode_endpoint_free" },
	{ 0xf07e896a, "devm_clk_get" },
	{ 0xf80d92f7, "devm_regulator_bulk_get" },
	{ 0x4d1e5434, "devm_gpiod_get_optional" },
	{ 0xe1e3d978, "device_property_read_u32_array" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0x5e8ade8e, "dev_err_probe" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x2a8086eb, "__pm_runtime_set_status" },
	{ 0x83e3ed64, "pm_runtime_enable" },
	{ 0x8458c07f, "pm_runtime_set_autosuspend_delay" },
	{ 0x783dcbb2, "__pm_runtime_use_autosuspend" },
	{ 0xb21c36a3, "v4l2_i2c_subdev_init" },
	{ 0xb2c523c7, "media_entity_pads_init" },
	{ 0x36b5dbcb, "v4l2_fwnode_device_parse" },
	{ 0x2c399aa4, "v4l2_ctrl_handler_init_class" },
	{ 0x997de5a, "v4l2_ctrl_new_std" },
	{ 0xaeeb4804, "v4l2_ctrl_new_int_menu" },
	{ 0x9b49f9b7, "v4l2_ctrl_new_std_menu_items" },
	{ 0x2f2b9082, "v4l2_ctrl_cluster" },
	{ 0x5a498d8, "v4l2_ctrl_new_fwnode_properties" },
	{ 0xe6cca44b, "__v4l2_subdev_init_finalize" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xab089fee, "v4l2_i2c_subdev_set_name" },
	{ 0x53648d82, "v4l2_async_register_subdev" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xed13b6ee, "__pm_runtime_suspend" },
	{ 0xb522573c, "v4l2_ctrl_handler_free" },
	{ 0xd3397817, "__pm_runtime_disable" },
	{ 0x1ee2b293, "regulator_bulk_disable" },
	{ 0x3cadcd64, "v4l2_subdev_cleanup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbed9e63e, "cci_write" },
	{ 0xe2822320, "__v4l2_find_nearest_size" },
	{ 0xd1ca26c, "pm_runtime_get_if_active" },
	{ 0x146344e1, "v4l2_async_unregister_subdev" },
	{ 0x5a314cb6, "__pm_runtime_resume" },
	{ 0x9bf4bfe3, "cci_multi_reg_write" },
	{ 0xd9202169, "__v4l2_ctrl_handler_setup" },
	{ 0xf9a482f9, "msleep" },
	{ 0x337f1f15, "__v4l2_ctrl_grab" },
	{ 0x8a3ee61a, "__pm_runtime_idle" },
	{ 0xa4cdf256, "v4l2_subdev_link_validate" },
	{ 0xcd06843e, "v4l2_subdev_get_fmt" },
	{ 0xf9cd979c, "v4l2_ctrl_subdev_subscribe_event" },
	{ 0xfcb45627, "v4l2_event_subdev_unsubscribe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1ec15357, "i2c_register_driver" },
	{ 0x704dac0c, "__v4l2_ctrl_s_ctrl" },
	{ 0xfa526595, "__v4l2_ctrl_modify_range" },
	{ 0xf99757af, "i2c_del_driver" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x815588a6, "clk_enable" },
	{ 0x637bb5d6, "regulator_bulk_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x459bd3f, "gpiod_set_value_cansleep" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "v4l2-cci,v4l2-fwnode,videodev,mc,v4l2-async");

MODULE_ALIAS("of:N*T*Csony,imx290");
MODULE_ALIAS("of:N*T*Csony,imx290C*");
MODULE_ALIAS("of:N*T*Csony,imx290lqr");
MODULE_ALIAS("of:N*T*Csony,imx290lqrC*");
MODULE_ALIAS("of:N*T*Csony,imx290llr");
MODULE_ALIAS("of:N*T*Csony,imx290llrC*");
MODULE_ALIAS("of:N*T*Csony,imx327lqr");
MODULE_ALIAS("of:N*T*Csony,imx327lqrC*");

MODULE_INFO(srcversion, "0EE974D2E402C6918D50EA0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
