#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x8a6e850c, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x1d097e8d, "_gpl");
SYMBOL_CRC(media_device_init, 0x79c2d4ee, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x72a7ce23, "_gpl");
SYMBOL_CRC(__media_device_register, 0x2ad53029, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x1920c0ae, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x6d3cdc69, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x06e89225, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x39abb1a7, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x6afc0de4, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x0071beb6, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xb2c523c7, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x6d8973c7, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xbc334914, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xb06a1fc2, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x2733d289, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x6e381be5, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xd13c8e56, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xa02a29cc, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x6909fa6f, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x7e189d2c, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x7d46db4c, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x95e28c9b, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x171fdca5, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x24d460c8, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x5ddf5c23, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x0f75f8ca, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x953dfd5a, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x08345ef1, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x0dbbeb0e, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0xe55b7c68, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0xfe3c8700, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x531961dc, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x0a15e328, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0xff28c34a, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xea137791, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x96864ce4, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xdf221f8a, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x78d3d4c0, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x0552f28f, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xbd0f4c2a, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x0b335996, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x87336961, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x2c30a115, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x6da9d2d6, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x6de12ee4, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xd735eccf, "_gpl");
SYMBOL_CRC(media_request_put, 0x51c18cec, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x975e357b, "_gpl");
SYMBOL_CRC(media_request_object_find, 0xe0e3b41f, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x5d0f97b5, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xdec7ebb3, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x87e597b4, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xa80814b7, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x06c6d737, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0xe7189fab, "_gpl");
SYMBOL_CRC(media_device_delete, 0x8f1331bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xcbff662a, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3527458f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xfab9bd5d, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x544f41a, "module_put" },
	{ 0xdcddc8c2, "device_create_file" },
	{ 0xdff667d4, "bus_unregister" },
	{ 0x65b8925f, "fput" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x84fc60a5, "platform_bus_type" },
	{ 0xe360f9f3, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x8d38034a, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5bec2b9e, "pci_bus_type" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xd0bee530, "device_remove_file" },
	{ 0x43af76a9, "bus_register" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x540e7ea7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x4b6ec25e, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6431c028, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x73871e5b, "cdev_device_del" },
	{ 0x63f07aa, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8c8a8d75, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9fa9992a, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CF86D0ACBEF32F787BD9709");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
