#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0xad5deadc, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x6823b571, "");
SYMBOL_CRC(ivtv_api, 0x1dacfc41, "");
SYMBOL_CRC(ivtv_vapi, 0xab179075, "");
SYMBOL_CRC(ivtv_vapi_result, 0x15a3294a, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x4acafbbe, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x74065f25, "");
SYMBOL_CRC(ivtv_udma_setup, 0x0fe20e1e, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x467be06b, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x0c972179, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x6c50bd10, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x16f57b0c, "");
SYMBOL_CRC(ivtv_firmware_check, 0x57dae35c, "");
SYMBOL_CRC(ivtv_claim_stream, 0xcf3760fe, "");
SYMBOL_CRC(ivtv_release_stream, 0x2f62752e, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x46bea47f, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x5776ece6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xf8a3bbd1, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0xec5d5e4f, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xb34b56fb, "v4l2_fh_is_singular" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xff0e44b6, "pci_read_config_word" },
	{ 0xb5c13bf5, "v4l2_ctrl_subscribe_event" },
	{ 0x7f2c16b5, "v4l2_fh_init" },
	{ 0xa239cc78, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7ca5060a, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0x2c11d4d8, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd75d03cf, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4f55cf7a, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4c529572, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x635ac5e2, "pci_set_master" },
	{ 0xb4af4cdc, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe79d8a27, "v4l2_device_register" },
	{ 0x2c42c6c6, "param_ops_string" },
	{ 0xb9134bec, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53565fab, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcc6c9474, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeccceaae, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7869e4f1, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x997de5a, "v4l2_ctrl_new_std" },
	{ 0x7a599713, "v4l2_ctrl_g_ctrl" },
	{ 0xd0ee1d23, "cx2341x_handler_init" },
	{ 0xf93349e4, "cx2341x_handler_set_50hz" },
	{ 0xb522573c, "v4l2_ctrl_handler_free" },
	{ 0x848d60a9, "v4l2_device_unregister" },
	{ 0x1f1fc6c3, "pci_disable_device" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xd9b21d40, "dma_set_mask" },
	{ 0xd9136a1d, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x687c1ce5, "v4l2_subdev_call_wrappers" },
	{ 0xb2685889, "dma_unmap_sg_attrs" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xb32a6ee0, "v4l2_event_queue" },
	{ 0xce07e3, "v4l2_i2c_new_subdev" },
	{ 0xd1db799d, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xa75460db, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdd56ade7, "video_device_release_empty" },
	{ 0x2f2b9082, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43c12914, "pci_write_config_dword" },
	{ 0xc2ad764, "v4l2_event_unsubscribe" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe5187cc3, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9de9b16, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb38cd04, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4e6730a7, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8b52edbb, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa64ca7d0, "i2c_bit_add_bus" },
	{ 0xfc3bf812, "v4l2_fh_del" },
	{ 0x2ffcfcea, "v4l2_i2c_new_subdev_board" },
	{ 0x1615d662, "kthread_flush_worker" },
	{ 0x6132ea0d, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x56f54b02, "dma_unmap_page_attrs" },
	{ 0x5a8cb064, "request_firmware" },
	{ 0xaf84180d, "__pci_register_driver" },
	{ 0x2c399aa4, "v4l2_ctrl_handler_init_class" },
	{ 0xfae79260, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x8a44942a, "unpin_user_pages" },
	{ 0x212169fd, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xec15101b, "i2c_transfer_buffer_flags" },
	{ 0xbcfa9998, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x557744cb, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d57283f, "wake_up_process" },
	{ 0xc568f6c1, "dev_driver_string" },
	{ 0xca2868, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad086655, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x21683327, "v4l2_ctrl_handler_log_status" },
	{ 0x40933bfb, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x13eb7ed3, "video_devdata" },
	{ 0xebbaf939, "i2c_new_scanned_device" },
	{ 0x2c31b5d0, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x8e99c25a, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbb2c5557, "__free_pages" },
	{ 0x265083b8, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x704dac0c, "__v4l2_ctrl_s_ctrl" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "29C7E0DF5E9B4163F46F88D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
