#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_set_cd_config, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_setup_queue, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_prepare_req, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0x2485a341, "");
SYMBOL_CRC(mmc_request_done, 0xd82d8c27, "");
SYMBOL_CRC(mmc_start_request, 0xa07e7253, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0xddf1471a, "");
SYMBOL_CRC(mmc_cqe_start_req, 0xa4365759, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x0ef865e3, "");
SYMBOL_CRC(mmc_cqe_post_req, 0x9354abb4, "");
SYMBOL_CRC(mmc_cqe_recovery, 0xf5e8610a, "");
SYMBOL_CRC(mmc_is_req_done, 0x8bb1bb9f, "");
SYMBOL_CRC(mmc_wait_for_req, 0xa455edc1, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x574e0924, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x8b0c41fd, "");
SYMBOL_CRC(__mmc_claim_host, 0x72d58b46, "");
SYMBOL_CRC(mmc_release_host, 0x83f912d8, "");
SYMBOL_CRC(mmc_get_card, 0xdc5b44e0, "");
SYMBOL_CRC(mmc_put_card, 0xd873e3b5, "");
SYMBOL_CRC(mmc_detect_change, 0xb1780960, "");
SYMBOL_CRC(mmc_erase, 0xd01d8310, "");
SYMBOL_CRC(mmc_can_erase, 0x76ccd983, "");
SYMBOL_CRC(mmc_can_trim, 0x0a0ab45f, "");
SYMBOL_CRC(mmc_can_discard, 0xb92a5de3, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0x82511a25, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x41c69aec, "");
SYMBOL_CRC(mmc_calc_max_discard, 0x069b4a67, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x0bdded1b, "");
SYMBOL_CRC(mmc_set_blocklen, 0xcbc8041c, "");
SYMBOL_CRC(mmc_hw_reset, 0xdc3c89d6, "");
SYMBOL_CRC(mmc_sw_reset, 0x6cc2b62e, "");
SYMBOL_CRC(mmc_detect_card_removed, 0x2c8d6173, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x643a47af, "");
SYMBOL_CRC(mmc_register_driver, 0x825e2514, "");
SYMBOL_CRC(mmc_unregister_driver, 0x3bfdca3d, "");
SYMBOL_CRC(mmc_retune_pause, 0x8126c490, "");
SYMBOL_CRC(mmc_retune_unpause, 0x2b0e5dad, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0x6abb1e1b, "");
SYMBOL_CRC(mmc_retune_release, 0x57665c30, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x3252fc7c, "");
SYMBOL_CRC(mmc_of_parse, 0xc5950451, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0xf2395704, "");
SYMBOL_CRC(mmc_alloc_host, 0x6c32869f, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0xcbd63839, "");
SYMBOL_CRC(mmc_add_host, 0x4103ad9e, "");
SYMBOL_CRC(mmc_remove_host, 0x1946b47a, "");
SYMBOL_CRC(mmc_free_host, 0xb064d1f4, "");
SYMBOL_CRC(__mmc_send_status, 0x44e1dbd0, "_gpl");
SYMBOL_CRC(mmc_send_status, 0xeabdd007, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x2a88f3d9, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x745147ba, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0xa973812b, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x18b09194, "_gpl");
SYMBOL_CRC(mmc_switch, 0x035f5742, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0xcf38bd24, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x1f08582c, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x68250537, "");
SYMBOL_CRC(mmc_cmdq_enable, 0x0e238fb4, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x1d67eb27, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0xf2310fa2, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0xd83283d8, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0xdcc02327, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0x4d328a14, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x021e7f7a, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0xfbc1489c, "_gpl");
SYMBOL_CRC(sdio_release_host, 0x64310215, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0xd4168cd1, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0x016a9e2e, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x9b707835, "_gpl");
SYMBOL_CRC(sdio_align_size, 0x37fae14d, "_gpl");
SYMBOL_CRC(sdio_readb, 0x450c9606, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x9e362048, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x0a0f9878, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x0f438355, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x9d7b8942, "_gpl");
SYMBOL_CRC(sdio_readsb, 0xdefe5149, "_gpl");
SYMBOL_CRC(sdio_writesb, 0xd8a10b8e, "_gpl");
SYMBOL_CRC(sdio_readw, 0xab3144ba, "_gpl");
SYMBOL_CRC(sdio_writew, 0x383a4c36, "_gpl");
SYMBOL_CRC(sdio_readl, 0xaa701d7f, "_gpl");
SYMBOL_CRC(sdio_writel, 0x88bbe004, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0x1f5f3e49, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0xf4a04480, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x9a16bc23, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0x63b5bfee, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0xac94ab4d, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0x59258dc5, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x8ef7a2fc, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0xd98f5272, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x7046762a, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0xcd400ab8, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x2fa2921e, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x772e6fa0, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0x890fcaa0, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0xff9a1706, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0xb4b54253, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0xc000ff60, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x05b3eafa, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0xc7768f3a, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0x16f211c5, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0xc3ca05b9, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0x184c1c96, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x8916b050, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x6aff231a, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x3f28aa90, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0x9f576354, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x61b4cc8f, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x5847ac6c, "_gpl");
SYMBOL_CRC(mmc_crypto_setup_queue, 0xd1afdcdc, "_gpl");
SYMBOL_CRC(mmc_crypto_prepare_req, 0xb0530a9f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9f99669, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x750f5ac0, "simple_attr_release" },
	{ 0xcd29e630, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcfc31fd0, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x3e480bb9, "__devres_alloc_node" },
	{ 0xf9842b7d, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x42590d5a, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4a4a67e1, "devm_gpiod_get_index" },
	{ 0x21d2a45e, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd75d03cf, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2377557a, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0xc1fd7237, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb49304f7, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x60158af1, "regulator_is_supported_voltage" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53565fab, "kthread_create_on_node" },
	{ 0x87fba843, "devm_kasprintf" },
	{ 0xeede0274, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf09c3c9f, "gpiod_cansleep" },
	{ 0x921d6b5c, "debugfs_create_file" },
	{ 0xe0ccfb1f, "gpiod_is_active_low" },
	{ 0x51e08452, "trace_event_buffer_reserve" },
	{ 0x5a314cb6, "__pm_runtime_resume" },
	{ 0x93d2c4f0, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7b198a95, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xaea392f, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x85cbb0d0, "single_release" },
	{ 0x747874eb, "regulator_disable" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xed13b6ee, "__pm_runtime_suspend" },
	{ 0xa1bd7f80, "set_primary_fwnode" },
	{ 0x4f00da91, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x27e83dc4, "single_open" },
	{ 0x478d42b7, "gpiod_set_consumer_name" },
	{ 0xd3397817, "__pm_runtime_disable" },
	{ 0x97c89c06, "debugfs_create_dir" },
	{ 0x772cc95c, "regulator_set_voltage" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x89063128, "driver_register" },
	{ 0xb023d79d, "class_register" },
	{ 0x8a3ee61a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1edd06c5, "__dev_fwnode" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x43af76a9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3cb7c64e, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0x47d98121, "regulator_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x4718084b, "device_property_present" },
	{ 0x33f488e7, "blk_crypto_reprogram_all_keys" },
	{ 0xaaa5b645, "wakeup_source_register" },
	{ 0x83ec864, "is_acpi_device_node" },
	{ 0x289c45b3, "simple_attr_open" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xf6323209, "devm_request_threaded_irq" },
	{ 0xa44093f3, "debugfs_attr_write" },
	{ 0x2a72de0e, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6431c028, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfdc2a848, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd0d1e5a, "__trace_trigger_soft_disabled" },
	{ 0x709c5062, "trace_event_printf" },
	{ 0xacf2635d, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x63f07aa, "device_initialize" },
	{ 0x19d6c2e, "trace_event_raw_init" },
	{ 0x56fe04a1, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0xe0f856c1, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6110f718, "gpiod_toggle_active_low" },
	{ 0xa0c92c2e, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6a73332f, "bpf_trace_run2" },
	{ 0x6fc0beee, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6b634c47, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9fa9992a, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0xfc530590, "sched_set_fifo_low" },
	{ 0x45d04f08, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3cb9249, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1d57283f, "wake_up_process" },
	{ 0xc13a5248, "trace_event_buffer_commit" },
	{ 0x1d445cd8, "pm_generic_runtime_resume" },
	{ 0x8a18f0c6, "pm_generic_resume" },
	{ 0x32d4ad6b, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2a8086eb, "__pm_runtime_set_status" },
	{ 0x332cde13, "pm_wakeup_ws_event" },
	{ 0xf32933cb, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc4df519c, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8bbe03e9, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3527458f, "put_device" },
	{ 0x83e3ed64, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xe1e3d978, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe678e646, "_dev_info" },
	{ 0xe0b251f8, "gpiod_set_debounce" },
	{ 0x76338a2b, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2691ce04, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xdc09afcb, "pm_generic_suspend" },
	{ 0x14b05db3, "debugfs_attr_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb643e274, "perf_trace_run_bpf_submit" },
	{ 0xdff667d4, "bus_unregister" },
	{ 0x8c10e47, "_dev_err" },
	{ 0xf75c3423, "debugfs_create_file_unsafe" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E9214B0AC3E1C645B9F1EE4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
