#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_lock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_set_basic, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0xa7d3fe17, "");
SYMBOL_CRC(ocelot_mact_forget, 0x5e844198, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x6eb1bd43, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0x23254acd, "");
SYMBOL_CRC(ocelot_pll5_init, 0xc5ec5035, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0x8a35fc23, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x89a83b27, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x3bfcf3fb, "");
SYMBOL_CRC(ocelot_vlan_add, 0xc9374ee8, "");
SYMBOL_CRC(ocelot_vlan_del, 0x106c7a62, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x15abaa6e, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xa26a4961, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0x7147c3e3, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x33db3e32, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x1c57f492, "");
SYMBOL_CRC(ocelot_lock_inj_grp, 0xd0ae055a, "_gpl");
SYMBOL_CRC(ocelot_unlock_inj_grp, 0xdbf1f88d, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp, 0x25e48672, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp, 0x2ebb7ba5, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp_bh, 0x5550cfdd, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp_bh, 0x87503ff6, "_gpl");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x25a32f4d, "");
SYMBOL_CRC(ocelot_can_inject, 0x93475ad3, "");
SYMBOL_CRC(ocelot_ifh_set_basic, 0xb72941dd, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x22feb339, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0xf0b418e0, "");
SYMBOL_CRC(ocelot_fdb_add, 0x59f98a48, "");
SYMBOL_CRC(ocelot_fdb_del, 0x3bef01d7, "");
SYMBOL_CRC(ocelot_mact_flush, 0x01e19bcb, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xcdea05b1, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x625b434d, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0xf38b3ff3, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0xca61d95d, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0xd3a8ca69, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x31ffbe75, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x17473823, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x776c3a7c, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xea457f3f, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x2125df51, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0x702ebe07, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x02739691, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x237feb41, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x1937cc5a, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x697da249, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x85ddb0f7, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x167bd536, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x3f21d304, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0xf803f663, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0xac9f0cb9, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x77fd94c3, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x8e26783b, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x324b6819, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0xeb347404, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0x4bc6fcfc, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0xe673602a, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0xd638f000, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x7155bc68, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x239cf0ca, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x06bd236b, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0xaed53da7, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0xdb3c1dc5, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0xfe2da45a, "");
SYMBOL_CRC(ocelot_reset, 0x1a5b8489, "");
SYMBOL_CRC(ocelot_init, 0x7089b444, "");
SYMBOL_CRC(ocelot_deinit, 0xee3bf557, "");
SYMBOL_CRC(ocelot_deinit_port, 0xe4c7cf91, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0xc18b03aa, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0xdee30ed7, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0x38960c70, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x030e54f4, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0xb8b2148e, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x10422eca, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x8e42322e, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0x04f1936f, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x8c435f4e, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0xa2eadd07, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x2bb96e1c, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0xc8320daf, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x6dc16288, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x7ecc5092, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x927a0ebd, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x0cba00f1, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0xfca5b4a6, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x1668327b, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x79c9a094, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0xb9bbdbd5, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x5b30c1ea, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x17a99581, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x4f86189d, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0xfecfd808, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0xa8168507, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0xe4c2f2c6, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0xae30fede, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x2842eb7c, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x09fa6e5d, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x1e9d2496, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0xda6e5708, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x23342574, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x86f6d585, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x11c2b94d, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x2dfaa77b, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x0727993b, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x2806e884, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x859160c8, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x9465277c, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0xd42a8891, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0x7904959d, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x7fc1877f, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0xc94668f9, "");
SYMBOL_CRC(ocelot_get_strings, 0xfef81228, "");
SYMBOL_CRC(ocelot_get_sset_count, 0xaf9a2f14, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0xd27a4628, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0x8680958f, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0xe4650685, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x2ae96d63, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x775f9286, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x7ec25e54, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x44a19784, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x3bdf46d3, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x703337b3, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x635442e6, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x445f76e8, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x127fb1c0, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x98e8fd3c, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x1e51c807, "");
SYMBOL_CRC(ocelot_mrp_del, 0x0741ba6e, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x6264dde5, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0xe1e22673, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28349cad, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8e0a393d, "flow_rule_match_ipv4_addrs" },
	{ 0x4bed2e0b, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf22f1fb5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f176213, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x56285e38, "skb_queue_purge_reason" },
	{ 0x8829bc4, "ptp_find_pin" },
	{ 0xa5f127dd, "eth_type_trans" },
	{ 0xe87f8a66, "ethtool_aggregate_pause_stats" },
	{ 0x75280a36, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x57c8249e, "regmap_fields_read" },
	{ 0x47dfda, "regmap_field_read" },
	{ 0x55b04e6e, "devm_regmap_field_alloc" },
	{ 0x1622f1c2, "ptp_classify_raw" },
	{ 0xce662e8e, "flow_rule_match_basic" },
	{ 0x1b84155f, "__dev_get_by_index" },
	{ 0xf0de244e, "devm_kfree" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x8d616caa, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xae1fdbf1, "netif_set_real_num_tx_queues" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0xd0e7e08d, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x226ff518, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x5fd4a5b1, "flow_rule_match_ports" },
	{ 0x91129d1, "__devm_regmap_init_mmio_clk" },
	{ 0xa1972352, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd35e8485, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1db1bf12, "ptp_clock_unregister" },
	{ 0x72602fb1, "__netdev_alloc_skb" },
	{ 0x1dad5b05, "of_phy_get" },
	{ 0x144981fa, "br_vlan_get_pvid_rcu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa48792, "phy_set_mode_ext" },
	{ 0x2ca94458, "netdev_reset_tc" },
	{ 0xb4b24563, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x999730ba, "devm_ioremap_resource" },
	{ 0xe140ad8d, "ethtool_aggregate_rmon_stats" },
	{ 0x838bab68, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa226129c, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93d53636, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x98fc8e29, "netdev_set_num_tc" },
	{ 0x6988191a, "regmap_update_bits_base" },
	{ 0x5e8ade8e, "dev_err_probe" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x540721ec, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6c25b3e7, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x908aa78b, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1649fa17, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a72de0e, "devm_kmalloc" },
	{ 0x5821f1f1, "skb_put" },
	{ 0x7b0ebf06, "skb_tstamp_tx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x16710216, "of_phy_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc151ca0b, "skb_clone_sk" },
	{ 0x62f7f930, "br_vlan_get_proto" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4391c14a, "regmap_fields_update_bits_base" },
	{ 0xf0ca3ab4, "flow_rule_match_eth_addrs" },
	{ 0x5e84c828, "ptp_clock_index" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "4FEB473DE78AF571E8EE0F0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
