#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x848d372e, "iowrite8" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xbfd1a0d4, "consume_skb" },
	{ 0x82f15419, "netif_device_detach" },
	{ 0x3577e3c1, "netif_carrier_off" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa7491894, "netif_carrier_on" },
	{ 0xf019b73, "pcim_enable_device" },
	{ 0xd9b21d40, "dma_set_mask" },
	{ 0x635ac5e2, "pci_set_master" },
	{ 0x4844dfda, "alloc_etherdev_mqs" },
	{ 0xfc60cd9a, "pci_request_regions" },
	{ 0x12343433, "pci_iomap" },
	{ 0x534cca86, "dma_alloc_attrs" },
	{ 0xaadb8a1, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x57de0434, "pci_get_device" },
	{ 0x6a09cf59, "pci_dev_put" },
	{ 0xbe41072e, "register_netdev" },
	{ 0x760a0f4f, "yield" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xd1db799d, "pci_read_config_byte" },
	{ 0xeccceaae, "pci_write_config_byte" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xad086655, "dma_map_page_attrs" },
	{ 0x72602fb1, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc568f6c1, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6066816e, "netif_device_attach" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5821f1f1, "skb_put" },
	{ 0xa5f127dd, "eth_type_trans" },
	{ 0x8b7c9341, "netif_rx" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x12c86dca, "eth_mac_addr" },
	{ 0x8b1ab393, "eth_validate_addr" },
	{ 0xa75460db, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaf84180d, "__pci_register_driver" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee34f6c8, "unregister_netdev" },
	{ 0x37a0cba, "kfree" },
	{ 0xf822fcff, "dma_free_attrs" },
	{ 0xd104b8cf, "pci_iounmap" },
	{ 0x4d493623, "free_netdev" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb63cd739, "mii_ethtool_set_link_ksettings" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2418140, "mii_ethtool_get_link_ksettings" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8810607b, "mii_link_ok" },
	{ 0x5275acf2, "mii_nway_restart" },
	{ 0x6922f696, "pci_read_config_dword" },
	{ 0x43c12914, "pci_write_config_dword" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x56f54b02, "dma_unmap_page_attrs" },
	{ 0xf0d028be, "dev_kfree_skb_irq_reason" },
	{ 0x2904eaf4, "netif_tx_wake_queue" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x557744cb, "pci_unregister_driver" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00001039d00000900sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A2A0ADCCAE4052B0197BB2D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
