#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcab3a3fe, "phy_modify" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfd3a8a44, "bcm_phy_read_exp" },
	{ 0x5955afcd, "bcm_phy_write_exp" },
	{ 0x49e8726c, "bcm_phy_get_sset_count" },
	{ 0xb369b0c, "devm_gpiod_get" },
	{ 0x56fe04a1, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0xf6323209, "devm_request_threaded_irq" },
	{ 0xf1251d55, "device_set_wakeup_capable" },
	{ 0xe0aa03ee, "device_wakeup_enable" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xf2aca842, "pm_wakeup_dev_event" },
	{ 0x2b49fd9d, "genphy_resume" },
	{ 0x990a6f23, "genphy_soft_reset" },
	{ 0x5770534b, "bcm_phy_config_intr" },
	{ 0x15aae1c7, "bcm_phy_handle_interrupt" },
	{ 0x69c7c43d, "bcm_phy_get_strings" },
	{ 0x34af805f, "bcm_phy_led_brightness_set" },
	{ 0xfb7938a4, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd7ecc5a7, "phy_drivers_register" },
	{ 0x766c3130, "mdiobus_read" },
	{ 0x5e78fe09, "phy_trigger_machine" },
	{ 0xf8343539, "phy_error" },
	{ 0x9e59eb93, "bcm54xx_auxctl_read" },
	{ 0xd3afcfcb, "bcm54xx_auxctl_write" },
	{ 0x1be4bc0d, "bcm_phy_read_shadow" },
	{ 0xf8ad684f, "bcm_phy_write_shadow" },
	{ 0xedc97741, "__genphy_config_aneg" },
	{ 0x9191ffe3, "genphy_c37_read_status" },
	{ 0x72ebf7f4, "genphy_read_status" },
	{ 0xea514ac9, "genphy_c37_config_aneg" },
	{ 0x2a72de0e, "devm_kmalloc" },
	{ 0x7481e0a3, "bcm_phy_get_wol" },
	{ 0xc290b7ed, "bcm_phy_set_wol" },
	{ 0x5f77664b, "bcm_phy_get_stats" },
	{ 0x35b1c301, "phy_drivers_unregister" },
	{ 0x81431292, "mdiobus_write" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "765E51766C0426E5FD9B2CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
