#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x970b1734, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb14e707c, "phy_restore_page" },
	{ 0xe250774e, "phy_write_paged" },
	{ 0x766c3130, "mdiobus_read" },
	{ 0xcab3a3fe, "phy_modify" },
	{ 0x990a6f23, "genphy_soft_reset" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x25a5493f, "ethnl_cable_test_pulse" },
	{ 0xbdcaa19c, "ethnl_cable_test_step" },
	{ 0xf6595c73, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x5b777264, "sfp_select_interface" },
	{ 0xe678e646, "_dev_info" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x569af375, "phy_save_page" },
	{ 0x5e78fe09, "phy_trigger_machine" },
	{ 0xf8343539, "phy_error" },
	{ 0x2a72de0e, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6753098b, "devm_hwmon_device_register_with_info" },
	{ 0x35b1c301, "phy_drivers_unregister" },
	{ 0x81431292, "mdiobus_write" },
	{ 0x265e5d4, "genphy_c45_ethtool_get_eee" },
	{ 0x81bee218, "phy_config_aneg" },
	{ 0x4ec6b3b5, "phy_sfp_probe" },
	{ 0x8e43bd0, "genphy_read_lpa" },
	{ 0x90c395a0, "phy_resolve_aneg_pause" },
	{ 0xd03f5bb, "genphy_update_link" },
	{ 0x493ad60a, "genphy_read_status_fixed" },
	{ 0x2b49fd9d, "genphy_resume" },
	{ 0xfb7938a4, "genphy_suspend" },
	{ 0xdd64e639, "strscpy" },
	{ 0x280da9c2, "phy_modify_changed" },
	{ 0xedc97741, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xb2efd84d, "genphy_check_and_restart_aneg" },
	{ 0x18b6a534, "genphy_setup_forced" },
	{ 0x1eb143a4, "phy_modify_paged_changed" },
	{ 0x221e8492, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xcd8ed3fc, "ethnl_cable_test_result" },
	{ 0x8eb677b0, "ethnl_cable_test_fault_length" },
	{ 0x2b44c247, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd7ecc5a7, "phy_drivers_register" },
	{ 0x6b747be3, "phy_read_paged" },
	{ 0xc492bc1b, "phy_modify_paged" },
	{ 0x576f0a76, "__mdiobus_read" },
	{ 0x72940c37, "phy_select_page" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "76C4623A56A7D0794467A7F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
