#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x53bf4617, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xfe84e52e, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x4c4c6506, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x959095ea, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xe14e1fe1, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x31390166, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xf5fbf386, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xb6953692, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x1131ef49, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf22f1fb5, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x215961d0, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8d38034a, "cdev_init" },
	{ 0x432bbb9e, "cdev_add" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0xbdd26326, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x524fbcc3, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfea80c95, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe23048ea, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x85ca8131, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3cf61c8e, "skb_copy_datagram_iter" },
	{ 0xed103f35, "_copy_to_iter" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbfd1a0d4, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xddfe140b, "iov_iter_advance" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x89ebec33, "skb_push" },
	{ 0xc2fd4f86, "__skb_gso_segment" },
	{ 0x1c2cb5a9, "__skb_get_hash" },
	{ 0x66cc50e1, "skb_checksum_help" },
	{ 0xaef4742b, "kfree_skb_list_reason" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x3611fafc, "__skb_flow_dissect" },
	{ 0x6bbb9ca8, "skb_partial_csum_set" },
	{ 0x1301de3f, "__pskb_pull_tail" },
	{ 0x23216114, "sock_alloc_send_pskb" },
	{ 0x5821f1f1, "skb_put" },
	{ 0x8dbcd159, "zerocopy_sg_from_iter" },
	{ 0x2d01b96f, "__dev_queue_xmit" },
	{ 0x75e72129, "_copy_from_iter" },
	{ 0xf4b56bf6, "skb_copy_datagram_from_iter" },
	{ 0x440d810b, "iov_iter_npages" },
	{ 0xb8402faf, "iov_iter_revert" },
	{ 0xceb2e006, "skb_copy_bits" },
	{ 0xf51e20b, "build_skb" },
	{ 0x18480ba6, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "178A457882DA8678BC6D6E1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
