#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x80619dc6, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x28667771, "");
SYMBOL_CRC(team_options_register, 0x34b68069, "");
SYMBOL_CRC(team_options_unregister, 0x1bc85b94, "");
SYMBOL_CRC(team_option_inst_set_change, 0xd855a45b, "");
SYMBOL_CRC(team_options_change_check, 0xbd09c73c, "");
SYMBOL_CRC(team_mode_register, 0x89821f14, "");
SYMBOL_CRC(team_mode_unregister, 0xbeddb333, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x540e7ea7, "try_module_get" },
	{ 0x85b6fb95, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x754d539c, "strlen" },
	{ 0x3bbb694d, "__nlmsg_put" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x42c09a02, "netdev_warn" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x58bbbd1c, "__ethtool_get_link_ksettings" },
	{ 0x51d67872, "netdev_upper_dev_unlink" },
	{ 0x7a7540ec, "netdev_rx_handler_unregister" },
	{ 0x264a70b3, "vlan_vids_del_by_dev" },
	{ 0x7a7924c4, "dev_close" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc20d58c4, "netdev_change_features" },
	{ 0x27dc83c9, "netdev_has_upper_dev" },
	{ 0xf4747d2c, "dev_uc_flush" },
	{ 0x58bddcd6, "dev_mc_flush" },
	{ 0xf0139b66, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb4c14349, "dev_open" },
	{ 0x6b311e8b, "vlan_vids_add_by_dev" },
	{ 0xd95ca0cf, "netdev_rx_handler_register" },
	{ 0xb67b0fb8, "netdev_master_upper_dev_link" },
	{ 0x321f02de, "dev_disable_lro" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfd849001, "ethtool_op_get_link" },
	{ 0xc2f7c85e, "passthru_features_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6f714299, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5a21b0ff, "netlink_unicast" },
	{ 0x99dbd5a6, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa7491894, "netif_carrier_on" },
	{ 0x3577e3c1, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcb69117a, "dev_set_allmulti" },
	{ 0x30f65cb2, "dev_set_promiscuity" },
	{ 0x15fff2a5, "dev_uc_unsync" },
	{ 0xfb020354, "dev_mc_unsync" },
	{ 0xdd575166, "dev_set_mtu" },
	{ 0xf22f1fb5, "netdev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4134caea, "__dynamic_netdev_dbg" },
	{ 0xa2367829, "dev_kfree_skb_any_reason" },
	{ 0xe478288d, "dev_uc_sync_multiple" },
	{ 0x7ebb71bb, "dev_mc_sync_multiple" },
	{ 0xaadb8a1, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71007ac5, "vlan_vid_del" },
	{ 0xf729321b, "vlan_vid_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x544f41a, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3f852956, "__alloc_skb" },
	{ 0xd9e656a2, "genlmsg_put" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0x27fdfd72, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x55d42c7e, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4546c87, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd8209575, "genl_register_family" },
	{ 0xa95c7343, "rtnl_link_unregister" },
	{ 0x9621c590, "genl_unregister_family" },
	{ 0xcbc249c8, "netlink_broadcast" },
	{ 0x4e7e2638, "skb_clone" },
	{ 0xbfd1a0d4, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2d01b96f, "__dev_queue_xmit" },
	{ 0xe2a32d52, "pv_ops" },
	{ 0x1074d6e8, "netpoll_send_skb" },
	{ 0xf2b5bf82, "netdev_lower_state_changed" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbe9fdcd1, "__netpoll_setup" },
	{ 0x63190714, "__netpoll_free" },
	{ 0xd5a43273, "nla_put" },
	{ 0xdd3f9475, "skb_trim" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x3edc71b4, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "561734A521BAA0FC9A0130C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
