#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x7829236a, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x40bc5694, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0xe5d268bf, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xf4b448ee, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x871b9bde, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x109892ba, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x51a3a6b1, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x7e5b493c, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xacd2f50a, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x476afd27, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0xc4562a65, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29a096b9, "usbnet_unlink_rx_urbs" },
	{ 0x9fce9bca, "usbnet_write_cmd" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x187fec4, "netif_tx_lock" },
	{ 0x28771a0f, "usbnet_start_xmit" },
	{ 0x28d4fbee, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x7a7f4b07, "usbnet_read_cmd" },
	{ 0x72602fb1, "__netdev_alloc_skb" },
	{ 0x5821f1f1, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb4ed312a, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x93b8703, "cdc_parse_cdc_header" },
	{ 0x681de9d9, "usb_ifnum_to_if" },
	{ 0xe76602b3, "usb_driver_claim_interface" },
	{ 0xdaca2ccd, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x14ee118e, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3f852956, "__alloc_skb" },
	{ 0x52b5fd57, "usbnet_manage_power" },
	{ 0xd24e047, "usbnet_cdc_update_filter" },
	{ 0x58df267, "usbnet_open" },
	{ 0x95ebae57, "usbnet_stop" },
	{ 0xc40350c3, "usbnet_set_rx_mode" },
	{ 0x12c86dca, "eth_mac_addr" },
	{ 0x8b1ab393, "eth_validate_addr" },
	{ 0xce43055e, "usbnet_tx_timeout" },
	{ 0xcf9f903, "dev_get_tstats64" },
	{ 0xb8bdaf55, "usbnet_get_drvinfo" },
	{ 0x83f50ed, "usbnet_get_msglevel" },
	{ 0xb509d072, "usbnet_set_msglevel" },
	{ 0xc9c2e773, "usbnet_nway_reset" },
	{ 0xfb98eb72, "usbnet_get_link" },
	{ 0x9a76ad2d, "ethtool_op_get_ts_info" },
	{ 0xaa91f63e, "usbnet_get_link_ksettings_internal" },
	{ 0x78ee3950, "usbnet_probe" },
	{ 0x917b6c6a, "usbnet_disconnect" },
	{ 0x1bf7d59b, "usbnet_suspend" },
	{ 0xf19820b0, "usbnet_resume" },
	{ 0x7b198a95, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa2367829, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4cb0be3f, "usb_driver_release_interface" },
	{ 0x3e93f3ad, "usb_altnum_to_altsetting" },
	{ 0x4134caea, "__dynamic_netdev_dbg" },
	{ 0xe883d31f, "usb_register_driver" },
	{ 0xd1dee72c, "usb_deregister" },
	{ 0x2f0c57, "usbnet_link_change" },
	{ 0xe678e646, "_dev_info" },
	{ 0xe0af702, "usbnet_update_max_qlen" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
