#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0x06159d5f, "_gpl");
SYMBOL_CRC(rndis_command, 0xd71903a8, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x8e18b40e, "_gpl");
SYMBOL_CRC(rndis_unbind, 0x3d74e604, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x23d51a9c, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x874664cb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x28d2b78, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb4094f84, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe678e646, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x5acf0c2e, "usbnet_generic_cdc_bind" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x4cb0be3f, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x4134caea, "__dynamic_netdev_dbg" },
	{ 0xaadb8a1, "dev_addr_mod" },
	{ 0x8973dae7, "skb_pull" },
	{ 0xdd3f9475, "skb_trim" },
	{ 0x15e74b9a, "usbnet_cdc_zte_rx_fixup" },
	{ 0x4e7e2638, "skb_clone" },
	{ 0xb4ed312a, "usbnet_skb_return" },
	{ 0x7dbc34ec, "skb_copy_expand" },
	{ 0xa2367829, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe883d31f, "usb_register_driver" },
	{ 0xd1dee72c, "usb_deregister" },
	{ 0x1f2195f8, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x78ee3950, "usbnet_probe" },
	{ 0x917b6c6a, "usbnet_disconnect" },
	{ 0x1bf7d59b, "usbnet_suspend" },
	{ 0xf19820b0, "usbnet_resume" },
	{ 0x58df267, "usbnet_open" },
	{ 0x95ebae57, "usbnet_stop" },
	{ 0x28771a0f, "usbnet_start_xmit" },
	{ 0x12c86dca, "eth_mac_addr" },
	{ 0x8b1ab393, "eth_validate_addr" },
	{ 0xce43055e, "usbnet_tx_timeout" },
	{ 0xcf9f903, "dev_get_tstats64" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
