#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc75e3654, "mt76_release_buffered_frames" },
	{ 0x5a8cb064, "request_firmware" },
	{ 0xc71a4fc9, "mt76_get_txpower" },
	{ 0xaf84180d, "__pci_register_driver" },
	{ 0x7fd42c35, "mt76x02_dma_disable" },
	{ 0x30991f66, "mt76_wake_tx_queue" },
	{ 0x8fa39bb6, "mt76x02e_init_beacon_config" },
	{ 0x18ae723b, "mt76_get_antenna" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x67dfcb48, "pci_set_power_state" },
	{ 0xa9f42e21, "mt76x02_sta_ps" },
	{ 0xa46bdb57, "mt76x02_sta_rate_tbl_update" },
	{ 0x7d8bbec4, "kthread_park" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0xbc01fb45, "mt76_dma_cleanup" },
	{ 0x557744cb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12aec86f, "mt76x02_reconfig_complete" },
	{ 0x110b537d, "mt76_alloc_device" },
	{ 0x1d57283f, "wake_up_process" },
	{ 0x17488943, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x442b91e3, "mt76x02_update_channel" },
	{ 0x5bb0423e, "__napi_schedule" },
	{ 0x4d65066f, "mt76_pci_disable_aspm" },
	{ 0xe678e646, "_dev_info" },
	{ 0xe3264fdd, "mt76x02_configure_filter" },
	{ 0x4d271332, "mt76_free_device" },
	{ 0xcc9402c5, "mt76x0_chip_onoff" },
	{ 0x8813cb6b, "mt76x02_queue_rx_skb" },
	{ 0x9a6cc93d, "kthread_unpark" },
	{ 0x61cf85be, "pcim_iomap_regions" },
	{ 0x7e245d1d, "ieee80211_queue_delayed_work" },
	{ 0xad845fac, "mt76x0_config" },
	{ 0x3ab4ec08, "mt76x0_register_device" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x6af95671, "mt76x02_rx_poll_complete" },
	{ 0xca0e3ac5, "mt76x0_phy_calibrate" },
	{ 0xabd6264d, "mt76_set_tim" },
	{ 0x7dfc3b32, "mt76x02_sw_scan_complete" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0xb0555989, "napi_enable" },
	{ 0x72520178, "mt76x02_tx" },
	{ 0xe3d7f81e, "mt76_mmio_init" },
	{ 0xf038445c, "mt76x02_sta_remove" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x639a55af, "mt76x02_sta_add" },
	{ 0x1850fca9, "mt76_unregister_device" },
	{ 0xe5bbb9dc, "pci_restore_state" },
	{ 0xd1b6be99, "mt76x0_mac_stop" },
	{ 0x90dd61ea, "mt76_get_survey" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x635ac5e2, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x384d89b1, "mt76x02_set_rts_threshold" },
	{ 0x1b81304a, "mt76x02_tx_complete_skb" },
	{ 0x2b28904f, "mt76_sta_state" },
	{ 0x4005c5e9, "mt76x02_mcu_msg_send" },
	{ 0xd4cbaedd, "mt76x0_init_hardware" },
	{ 0x436ef142, "mt76x02_bss_info_changed" },
	{ 0xd2139eb4, "pci_enable_wake" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x62d21663, "mt76x02_add_interface" },
	{ 0xa934b5c3, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x31119926, "mt76x02_tx_prepare_skb" },
	{ 0xa0a84db7, "mt76x02_mcu_cleanup" },
	{ 0xc6d82ca1, "mt76x02_ampdu_action" },
	{ 0x33414683, "mt76x02_conf_tx" },
	{ 0xd9b21d40, "dma_set_mask" },
	{ 0xfa7504d7, "mt76_sw_scan" },
	{ 0xffc979f6, "mt76_sta_pre_rcu_remove" },
	{ 0xad87933d, "pcim_iomap_table" },
	{ 0xb7eae4a8, "napi_schedule_prep" },
	{ 0x69af2034, "napi_disable" },
	{ 0x1a698e1f, "__mt76_poll" },
	{ 0xf019b73, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7fce03fc, "mt76x02_mac_start" },
	{ 0x5df91016, "mt76x02_remove_interface" },
	{ 0xdc0dc4be, "mt76x02_dma_init" },
	{ 0xc83b81ae, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf6323209, "devm_request_threaded_irq" },
	{ 0xc589ba91, "mt76x0_set_sar_specs" },
	{ 0x651eb872, "pci_choose_state" },
	{ 0x992fcb0d, "mt76x02_set_ethtool_fwver" },
	{ 0xb979f55e, "mt76x02_set_key" },
	{ 0x80b58b8d, "mt76x02_mcu_parse_response" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,mt76x0-common,mac80211");

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "76E49B7EA7C933437988D41");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
