#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e742bb4, "rt2x00usb_disconnect" },
	{ 0x1e413a98, "rt2x00usb_suspend" },
	{ 0x8827f08e, "rt2x00usb_resume" },
	{ 0xc3f94d4b, "rt2x00usb_initialize" },
	{ 0xa37bbd12, "rt2x00usb_uninitialize" },
	{ 0x364352c6, "rt2x00usb_clear_entry" },
	{ 0x6613322c, "rt2x00usb_watchdog" },
	{ 0xc157db62, "rt2x00usb_kick_queue" },
	{ 0x2d119ae0, "rt2x00usb_flush_queue" },
	{ 0x1b65ee5d, "rt2x00mac_tx" },
	{ 0xb2dc13f9, "rt2x00mac_start" },
	{ 0x91e21c87, "rt2x00mac_stop" },
	{ 0x93018fe6, "rt2x00mac_add_interface" },
	{ 0x74b2de0, "rt2x00mac_remove_interface" },
	{ 0x9345ac57, "rt2x00mac_config" },
	{ 0x4ec9db71, "rt2x00mac_bss_info_changed" },
	{ 0xbee7e0f8, "rt2x00mac_configure_filter" },
	{ 0x3ea623f7, "rt2x00mac_set_tim" },
	{ 0x3ac354db, "rt2x00mac_set_key" },
	{ 0xbe6b993b, "rt2x00mac_sw_scan_start" },
	{ 0x96aeb77e, "rt2x00mac_sw_scan_complete" },
	{ 0x55560add, "rt2x00mac_get_stats" },
	{ 0x93b2c27, "rt2x00mac_conf_tx" },
	{ 0x26dc602b, "rt2x00mac_rfkill_poll" },
	{ 0x2a789c53, "rt2x00mac_flush" },
	{ 0x73f56814, "rt2x00mac_set_antenna" },
	{ 0x8fffbcc, "rt2x00mac_get_antenna" },
	{ 0x4d702589, "rt2x00mac_get_ringparam" },
	{ 0xea5bf831, "rt2x00mac_tx_frames_pending" },
	{ 0x4419dfd0, "ieee80211_handle_wake_tx_queue" },
	{ 0x7b198a95, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe883d31f, "usb_register_driver" },
	{ 0x354c216e, "rt2x00usb_probe" },
	{ 0xdd3f9475, "skb_trim" },
	{ 0xbfd1a0d4, "consume_skb" },
	{ 0xf421cd5b, "usb_submit_urb" },
	{ 0xd1dee72c, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x52e1fb1, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8c10e47, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5fbf1e8c, "rt2x00usb_vendor_request_buff" },
	{ 0x2e57ea9, "rt2x00usb_vendor_request" },
	{ 0x5112a247, "rt2x00lib_set_mac_address" },
	{ 0xe678e646, "_dev_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0x89ebec33, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a8cb97, "rt2x00usb_disable_radio" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7CD7D2E1961ECC73FCD3A8B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
