#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x0e657c3d, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0xfb5b2372, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0xc8342e6c, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x14591087, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x459cd487, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x9dd776c9, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0x76466784, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x755f6396, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x190a9442, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x5112a247, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x6c5eee9a, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x9b2ad5cf, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xdb0cd2c0, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0xc36cf5ac, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x1b65ee5d, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0xb2dc13f9, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x91e21c87, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x2ec75e32, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x93018fe6, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x074b2de0, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x9345ac57, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0xbee7e0f8, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x3ea623f7, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x3ac354db, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0xbe6b993b, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x96aeb77e, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x55560add, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x4ec9db71, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x093b2c27, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x26dc602b, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x2a789c53, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x73f56814, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x08fffbcc, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x4d702589, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xea5bf831, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x04ea846a, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x048e4f5a, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x8dcfe59d, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0xfb255429, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x6cbd5562, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x421ca998, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x63985e76, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0xa2e6c79f, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0xa875140f, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x3db6d3c0, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0xe4a1f785, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x65e04dc5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5821f1f1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbfd1a0d4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x56f54b02, "dma_unmap_page_attrs" },
	{ 0x5a8cb064, "request_firmware" },
	{ 0xaab84a06, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xe9609097, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x74b72d79, "led_classdev_unregister" },
	{ 0x3da0338d, "ieee80211_register_hw" },
	{ 0x48e61b0b, "__ieee80211_create_tpt_led_trigger" },
	{ 0x16acf2ec, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xaf46904a, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc568f6c1, "dev_driver_string" },
	{ 0x1cf77c31, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad086655, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe678e646, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7e245d1d, "ieee80211_queue_delayed_work" },
	{ 0x8c10e47, "_dev_err" },
	{ 0xc44ca3d9, "ieee80211_ctstoself_get" },
	{ 0x8973dae7, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x89ebec33, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x16427917, "ieee80211_free_txskb" },
	{ 0x65cc7d80, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x962b15f2, "ieee80211_tx_status" },
	{ 0x494c6f18, "ieee80211_stop_queue" },
	{ 0x72602fb1, "__netdev_alloc_skb" },
	{ 0x2b33127, "ieee80211_stop_queues" },
	{ 0xdd3f9475, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45c25814, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcde97bdc, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x56785ea4, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf099c50, "led_classdev_resume" },
	{ 0xb0bc7b31, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2d9514b2, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb33429d, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb4ca5c48, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xa2367829, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x4bf80e63, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaef44d5b, "ieee80211_iterate_interfaces" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "4CE9C1686889935649CFDC0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
