#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xf40e3177, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x7e38b65e, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x8b13815d, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x24dc664b, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x9707e527, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x3dc28eb5, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xb83c1920, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x37f686cc, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xd08a2578, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x4fd9677d, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x91f40d57, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xc7207076, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x0306498a, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x48c54d58, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x7c41d10a, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xde12f250, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xab400004, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xfbe7a969, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x79da5f67, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x3156334a, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xfe866f07, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xc47d7db4, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xe4d80902, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x21f4dd8d, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x945fda8a, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x8184fc03, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xd9d230ce, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x1f57fb6b, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x2097411e, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x2edfc743, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x3bdc67a5, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x464aaeb9, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x94a1de43, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xd9c96615, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x23697adc, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x30d95caf, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x278cd659, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x877b6abd, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x3b98e0e4, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xdb804a9e, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xcf34ef4c, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xffd8df76, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x5655c6f9, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0xd132661e, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xe8cdd4e3, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x26f81375, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x035497f2, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xdacefaa6, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x4fc3849f, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xa217d8b0, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x1df8d9fd, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x4fc719fb, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xab3defa8, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xb21bfd8c, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x6ebc2bbf, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x8ff4b4e7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0xd29431b2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xbbdcbf1a, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0xfad77142, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x65807d6c, "blk_mq_free_request" },
	{ 0x127a6e5a, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0xbb2c5557, "__free_pages" },
	{ 0xe678e646, "_dev_info" },
	{ 0xcbbb88b6, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x544f41a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x776c511b, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x18480ba6, "compat_ptr_ioctl" },
	{ 0xd2aa90cb, "t10_pi_type3_crc" },
	{ 0x2cef4cf4, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x2713137d, "blk_mq_quiesce_tagset" },
	{ 0xaced5cfb, "kobject_uevent_env" },
	{ 0x73a893f5, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0xb643e274, "perf_trace_run_bpf_submit" },
	{ 0x96877fb4, "__SCK__tp_func_block_bio_remap" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x580ddb8f, "blk_revalidate_disk_zones" },
	{ 0xbe7c7bee, "debugfs_create_bool" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc9f99669, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8bb0cd8f, "blk_rq_map_user_io" },
	{ 0x3eae5009, "sysfs_remove_link" },
	{ 0xa51953bc, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0xe2efee87, "hwmon_device_register_with_info" },
	{ 0x5be8571f, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x27ec4ba, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xefb72848, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x530d4a65, "blk_sync_queue" },
	{ 0x941d2b78, "bdev_start_io_acct" },
	{ 0xcf6bc9a1, "bio_integrity_add_page" },
	{ 0xcfc31fd0, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7d5aca1c, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xf9842b7d, "trace_event_reg" },
	{ 0x398730f, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa733a85d, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb9b3cbe, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa902bb58, "del_gendisk" },
	{ 0xa397d067, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3a3ecab3, "bio_integrity_alloc" },
	{ 0xf987a550, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x3fed80f2, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xe17f9878, "blk_put_queue" },
	{ 0xbd022f5f, "bpf_trace_run1" },
	{ 0x2377557a, "device_del" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x49a973ec, "blk_mq_wait_quiesce_done" },
	{ 0x5cd21aac, "param_ops_charp" },
	{ 0xdd774e99, "blk_queue_max_segments" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe4b41ef9, "io_uring_cmd_do_in_task_lazy" },
	{ 0xcb8bee5d, "blk_mq_init_queue" },
	{ 0xce6ef84f, "debugfs_create_x16" },
	{ 0x9958122d, "io_uring_cmd_done" },
	{ 0xfff0ffda, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3f619972, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x745a981, "xa_erase" },
	{ 0x89c88207, "bpf_trace_run3" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2854a463, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x772d8ce0, "blk_mq_complete_request" },
	{ 0xf73dfda5, "blk_queue_chunk_sectors" },
	{ 0x272dcf5c, "blk_queue_max_write_zeroes_sectors" },
	{ 0xd254a630, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x51e08452, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7b198a95, "param_ops_bool" },
	{ 0x5e2d875d, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x37746dff, "blk_freeze_queue_start" },
	{ 0xc56acee8, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xccf93c, "alloc_pages" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b50601f, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2a7b4bbf, "blk_queue_io_min" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x9a44af46, "hwmon_device_unregister" },
	{ 0x59a5a824, "__tracepoint_block_bio_remap" },
	{ 0xdc1e2d0e, "blk_mq_unfreeze_queue" },
	{ 0x6116a58, "blk_mq_tagset_busy_iter" },
	{ 0x1f31c0f3, "blkdev_compat_ptr_ioctl" },
	{ 0xa221e800, "blk_rq_map_user_iov" },
	{ 0x8088b8c0, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xd0a11daf, "blk_queue_max_hw_sectors" },
	{ 0x89b6aa08, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa44181b2, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xed2955ef, "blk_mq_freeze_queue_wait" },
	{ 0x97c89c06, "debugfs_create_dir" },
	{ 0x5d162b04, "fault_create_debugfs_attr" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x1993ba49, "blk_queue_io_opt" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0xa46910ed, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8d38034a, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbd3e103a, "bdev_end_io_acct" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x5946f832, "blk_steal_bios" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9dad67af, "set_capacity_and_notify" },
	{ 0x69067321, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd00a33a8, "set_disk_ro" },
	{ 0x7c3fb3fc, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf59117f7, "blk_integrity_register" },
	{ 0x540e7ea7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xabff6cff, "device_remove_file_self" },
	{ 0xf6b6cb5, "param_ops_uint" },
	{ 0x8cbdf45b, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb87758d4, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6431c028, "dev_set_name" },
	{ 0xa957c08d, "ext_pi_type3_crc64" },
	{ 0xdc2bffae, "bio_split_to_limits" },
	{ 0x139bbfe3, "trace_seq_printf" },
	{ 0x98ab3746, "disk_update_readahead" },
	{ 0xd87d7a38, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xe317ca7d, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfdc2a848, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb5747c2c, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x73871e5b, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfd0d1e5a, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x11b6ae4c, "class_destroy" },
	{ 0x709c5062, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbfd83bb2, "should_fail" },
	{ 0x63f07aa, "device_initialize" },
	{ 0xf1d9ac8e, "blk_mq_unquiesce_queue" },
	{ 0x9f6231c0, "t10_pi_type1_crc" },
	{ 0x7f627d70, "blk_queue_dma_alignment" },
	{ 0x30b6fbae, "blk_mq_quiesce_queue" },
	{ 0x19d6c2e, "trace_event_raw_init" },
	{ 0xeb72c7f0, "ext_pi_type1_crc64" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x4eba08c6, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6a73332f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa49614e6, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xcfda750e, "param_ops_byte" },
	{ 0x9fa9992a, "get_device" },
	{ 0x96e66111, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc6fdf677, "__blk_mq_alloc_disk" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf48062ec, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa822b1c4, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb37e2059, "blk_mq_alloc_tag_set" },
	{ 0x55ea457f, "blk_rq_is_poll" },
	{ 0xc13a5248, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ab821a9, "trace_seq_putc" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x429e3dbb, "put_disk" },
	{ 0xcbff662a, "cdev_device_add" },
	{ 0x3dc8ce11, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc9c4ec6e, "blk_queue_physical_block_size" },
	{ 0xdefce102, "blk_execute_rq" },
	{ 0x3527458f, "put_device" },
	{ 0x479832e7, "blk_mq_unquiesce_tagset" },
	{ 0x150e6012, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0x9ec14d6b, "kmalloc_node_trace" },
	{ 0xa52daff1, "blk_queue_flag_set" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "t10-pi");


MODULE_INFO(srcversion, "D86C370C2BE00BEF0201920");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
