#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x9d79b28a, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0xb0a20031, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x122c3a7e, "_printk" },
	{ 0x17b0f8ca, "wmi_get_event_data" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0xd9896cfb, "sysfs_notify" },
	{ 0xe4c750de, "__platform_create_bundle" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd0bee530, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdcddc8c2, "device_create_file" },
	{ 0x27e83dc4, "single_open" },
	{ 0xaea392f, "seq_printf" },
	{ 0x702f00fd, "platform_device_unregister" },
	{ 0x586032d9, "platform_driver_unregister" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x29b7c572, "input_set_capability" },
	{ 0xd2e28da9, "input_event" },
	{ 0x8c10e47, "_dev_err" },
	{ 0xe06bf0a4, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x9c772cfa, "sparse_keymap_report_event" },
	{ 0xfe8615f4, "backlight_force_update" },
	{ 0x52c56779, "led_classdev_notify_brightness_hw_changed" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0xea4d9b03, "pci_find_bus" },
	{ 0x7e35ac50, "pci_bus_read_config_dword" },
	{ 0x3955208e, "pci_get_slot" },
	{ 0x6a09cf59, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x54fddaff, "pci_stop_and_remove_bus_device" },
	{ 0xd781eaac, "pci_scan_single_device" },
	{ 0xe1a306fa, "pci_bus_assign_resources" },
	{ 0xcb6710d7, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x78da84cf, "pci_hp_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x591ba54, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0x29d59899, "backlight_device_unregister" },
	{ 0x9421c518, "input_unregister_device" },
	{ 0x74b72d79, "led_classdev_unregister" },
	{ 0xcfc31fd0, "debugfs_remove" },
	{ 0x189841da, "sysfs_remove_group" },
	{ 0x94771ecf, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0xe678e646, "_dev_info" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x83e7c53c, "sysfs_create_group" },
	{ 0x8fdad75d, "input_allocate_device" },
	{ 0xb8c841ef, "sparse_keymap_setup" },
	{ 0xcccaa52e, "input_register_device" },
	{ 0x9158a570, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x65cc7d80, "led_classdev_register_ext" },
	{ 0x4137e325, "input_free_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf18bdd75, "wmi_install_notify_handler" },
	{ 0xa101e5db, "i8042_install_filter" },
	{ 0x86d7f0c5, "battery_hook_register" },
	{ 0x97c89c06, "debugfs_create_dir" },
	{ 0x93d2c4f0, "debugfs_create_x32" },
	{ 0x921d6b5c, "debugfs_create_file" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0x13a0fa28, "__pci_hp_register" },
	{ 0x57de0434, "pci_get_device" },
	{ 0x6922f696, "pci_read_config_dword" },
	{ 0x43c12914, "pci_write_config_dword" },
	{ 0x5d9aab71, "backlight_device_register" },
	{ 0xe0f856c1, "seq_lseek" },
	{ 0xeede0274, "seq_read" },
	{ 0x85cbb0d0, "single_release" },
	{ 0x7b198a95, "param_ops_bool" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "wmi,platform_profile,rfkill,video,sparse-keymap,battery,ledtrig-audio");


MODULE_INFO(srcversion, "75A71149D3B8594CE439468");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
