#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_device_from_of, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x7f835d30, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x444e19be, "_gpl");
SYMBOL_CRC(spmi_register_read, 0x51643e2c, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x58a640b7, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0x2cccca37, "_gpl");
SYMBOL_CRC(spmi_register_write, 0x90f632d8, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0x4e59a01f, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x8c1a6b5e, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x08621c8f, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x72aa30f5, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0xb5e8b511, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0xe912b9ec, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0xdf911f6c, "_gpl");
SYMBOL_CRC(spmi_device_from_of, 0xfe27bce3, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0x41b918b5, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x76adb832, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x5324b50f, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x9220e106, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x38c537b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb643e274, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x51e08452, "trace_event_buffer_reserve" },
	{ 0xc13a5248, "trace_event_buffer_commit" },
	{ 0xfd0d1e5a, "__trace_trigger_soft_disabled" },
	{ 0xfdc2a848, "trace_raw_output_prep" },
	{ 0x709c5062, "trace_event_printf" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0xd2d9f4ee, "bpf_trace_run5" },
	{ 0x92a01dc2, "bpf_trace_run4" },
	{ 0x89c88207, "bpf_trace_run3" },
	{ 0x89ac8db2, "bpf_trace_run6" },
	{ 0x6431c028, "dev_set_name" },
	{ 0xc9f99669, "device_add" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x6a142f93, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a8086eb, "__pm_runtime_set_status" },
	{ 0x83e3ed64, "pm_runtime_enable" },
	{ 0xd3397817, "__pm_runtime_disable" },
	{ 0x5a921311, "strncmp" },
	{ 0x6e8e1341, "device_match_of_node" },
	{ 0x911f3dfd, "bus_find_device" },
	{ 0x89063128, "driver_register" },
	{ 0xdff667d4, "bus_unregister" },
	{ 0x43af76a9, "bus_register" },
	{ 0x3ed5b01b, "device_for_each_child" },
	{ 0x2377557a, "device_del" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x63f07aa, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x3527458f, "put_device" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5a314cb6, "__pm_runtime_resume" },
	{ 0xf9842b7d, "trace_event_reg" },
	{ 0x19d6c2e, "trace_event_raw_init" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "287B1CB5A19569B0EC9AE97");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
