#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x26fefa5d, "");
SYMBOL_CRC(w1_remove_master_device, 0x00f3a863, "");
SYMBOL_CRC(w1_register_family, 0x376efc46, "");
SYMBOL_CRC(w1_unregister_family, 0x1378dec7, "");
SYMBOL_CRC(w1_touch_bit, 0x09e1a8a5, "_gpl");
SYMBOL_CRC(w1_write_8, 0x9a82d2db, "_gpl");
SYMBOL_CRC(w1_triplet, 0x6332a0ca, "_gpl");
SYMBOL_CRC(w1_read_8, 0xaf889092, "_gpl");
SYMBOL_CRC(w1_write_block, 0x0f012eb3, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x02e0d287, "_gpl");
SYMBOL_CRC(w1_read_block, 0xdb8096f3, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0xf60fd2f8, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xdf505ab9, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x01f158ff, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0xffe3be5a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b022e79, "cn_netlink_send_mult" },
	{ 0x3527458f, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe678e646, "_dev_info" },
	{ 0x5a334bf0, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0xdff667d4, "bus_unregister" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe2efee87, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42590d5a, "driver_unregister" },
	{ 0x83e7c53c, "sysfs_create_group" },
	{ 0xd75d03cf, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa49a77ae, "device_register" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0x53565fab, "kthread_create_on_node" },
	{ 0xe2a32d52, "pv_ops" },
	{ 0x189841da, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7c0758ab, "kobject_uevent" },
	{ 0x9a44af46, "hwmon_device_unregister" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xa75460db, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x89063128, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7777088, "cn_add_callback" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x43af76a9, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6431c028, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6a142f93, "device_unregister" },
	{ 0x1e062c5f, "sysfs_remove_groups" },
	{ 0x2c3cb134, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d57283f, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "209C80244BDFC77A7FAAFCD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
