#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_on_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0xd685aed4, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x0ed7f67d, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0x88beb3b6, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x3e5e32a4, "_gpl");
SYMBOL_CRC(nfs_put_client, 0xac17a7aa, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0xd35fc032, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0x5de67189, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xb5c7fb29, "_gpl");
SYMBOL_CRC(nfs_get_client, 0xed6fba75, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x19b942c4, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x5d02bf1f, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0xe93f9487, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x5ca4eedc, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0x228099ef, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x816f88c1, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0xa5a6c629, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x5459881e, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0xccecdde7, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x691c39d7, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x373b1f57, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0x0ae4e847, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x3343f6f4, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x6d68dbe0, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x6882442c, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x4a5b4a8e, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x097ab192, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x2132e4c7, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0xbd7b8189, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x7fa59136, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0x91b1b18b, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0xec649a44, "_gpl");
SYMBOL_CRC(nfs_create, 0xbc2f98d3, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xe76adb2c, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0xe7452542, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x37eecb03, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x89219713, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x9a383ff0, "_gpl");
SYMBOL_CRC(nfs_link, 0xacfc633d, "_gpl");
SYMBOL_CRC(nfs_rename, 0x288d1545, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0xe98f8bd2, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0x8c26ffaa, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x9cc03317, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0xedc49471, "_gpl");
SYMBOL_CRC(nfs_permission, 0x8395ddf8, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x9aa69e39, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x9463f08e, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x968202a0, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0x2b304650, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x299353dd, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x0a49c7f2, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xb5ebe0e6, "_gpl");
SYMBOL_CRC(nfs_lock, 0x821f18da, "_gpl");
SYMBOL_CRC(nfs_flock, 0x1a2ec752, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x6c2d6d2f, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x39c3dc85, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x2ff2b1a2, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x6a444ce2, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x73cf4427, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0xf1f68088, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x03201cc5, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0x63604b7e, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0xb71f2780, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x4a461e04, "_gpl");
SYMBOL_CRC(nfs_fhget, 0xf5cb7a6e, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x4f834631, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0xd049ff26, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x72a438d8, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x7cc406b4, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x5836ee90, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x75b24304, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x243920a6, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0xa5d24bb4, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0xa76d1671, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x58b0aee0, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x8108b445, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x1de74e24, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0xd5ed307b, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x19ce5f51, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x8f7d644c, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x2e28aa2d, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0xe1acb933, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0xd9b85931, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x67c69b8a, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x98db48bc, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0xefe0e969, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xc2d2f3af, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x29d38c49, "_gpl");
SYMBOL_CRC(nfs_show_options, 0xa56ed772, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x7fd8f597, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x23ebd4ed, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x0c49b480, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x9cf33f0a, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0xbe97322e, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0xf0652a45, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0x321eecc3, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x51f31e16, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x2e0231c2, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x6b148ec4, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x0efbfab7, "_gpl");
SYMBOL_CRC(nfs_release_request, 0xb3b951c8, "_gpl");
SYMBOL_CRC(nfs_wait_on_request, 0xda73ab6c, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x94488bf3, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0xeb6cbea8, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x82b9c8ec, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x9909fe04, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x7bbcb261, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0xcb64291a, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x0147e510, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x683452bc, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x3752287d, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x683e36f5, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x98afebea, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xde9cac9b, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0xed0dd17a, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0xe892d7ec, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0x91b96615, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0x3de5bcea, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0x25690b19, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x0b9b6fde, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0xbd60f566, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0xa3ae004f, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x8d589729, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0x6b13f4f2, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x9a1e38d7, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x1698df8a, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x5a0321d0, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0xf3a00821, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x81ba561d, "_gpl");
SYMBOL_CRC(nfs_path, 0x2c08d440, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0xb523935c, "_gpl");
SYMBOL_CRC(nfs_submount, 0xc8db2f41, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x1c23c2a2, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0xae52333a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0x4c519c83, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_enter, 0xfd3c0de6, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0xf7f99bff, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x022d8b8d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x80d6868f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_exit, 0x9d919c44, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0xeaa79f0d, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x6cbd35d3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x9d88827d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_status, 0xfeb42418, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xc675ff4a, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x8e4c088e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0xd12418e8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_bad_filehandle, 0x37239e6d, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x750284ba, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x5ac052ba, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x1c635030, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x276add05, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0x05b65920, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f90580a, "migrate_folio" },
	{ 0xe7100b8d, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x5f9ecd6d, "add_swap_extent" },
	{ 0x183cc00b, "fs_param_is_u32" },
	{ 0x369ef8e8, "inode_newsize_ok" },
	{ 0x935b10df, "d_drop" },
	{ 0x7e980b10, "deactivate_super" },
	{ 0x5aef59ad, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x56d4792a, "security_sb_mnt_opts_compat" },
	{ 0x79c1aa85, "param_get_uint" },
	{ 0x5f04a63b, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xe6f2996e, "make_kuid" },
	{ 0xdc46ebd8, "truncate_inode_pages_final" },
	{ 0xf55d0aa6, "d_alloc" },
	{ 0x61ac5d66, "fs_kobj" },
	{ 0xffd26fd3, "net_ns_type_operations" },
	{ 0xc141e786, "__filemap_set_wb_err" },
	{ 0x779c3727, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x15df052d, "generic_perform_write" },
	{ 0xdaf232b4, "__filemap_get_folio" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x82318f9f, "unregister_shrinker" },
	{ 0xcab6bc78, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbb2c5557, "__free_pages" },
	{ 0xbd04412f, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x544f41a, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc434db6c, "rpc_setbufsize" },
	{ 0x29547770, "fs_context_for_submount" },
	{ 0xe7e81e52, "inode_init_once" },
	{ 0x5e73e797, "folio_wait_private_2" },
	{ 0x69033bb7, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc7cdbd66, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x3f7401d, "seq_escape_mem" },
	{ 0x79a5399b, "ilookup5" },
	{ 0xcacec912, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x21762ff7, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb643e274, "perf_trace_run_bpf_submit" },
	{ 0x38d18973, "security_d_instantiate" },
	{ 0x57bc19d2, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0x8fad814, "generic_file_read_iter" },
	{ 0x6524e90e, "unlock_page" },
	{ 0x9fb57309, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0x7fc3eac9, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdaf05bc3, "put_fs_context" },
	{ 0xb5f03c07, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe8322b71, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd2d9f4ee, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd19a7a7e, "write_cache_pages" },
	{ 0x599b5449, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x221c5e33, "kmem_cache_free" },
	{ 0x5282322e, "rpc_max_payload" },
	{ 0x3a10f58e, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x7abf6fc, "d_move" },
	{ 0x63691d08, "seq_putc" },
	{ 0x43bb2aa6, "rpc_proc_unregister" },
	{ 0xf9842b7d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x230ce6ed, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x652ccea3, "folio_wait_writeback" },
	{ 0xffb7c514, "ida_free" },
	{ 0x87bf54ed, "nlmclnt_rpc_clnt" },
	{ 0xa6aed880, "rpc_clnt_swap_activate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0xb027939f, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x30df9085, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5edf5c08, "d_obtain_alias" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x361b46dd, "rpc_create" },
	{ 0x6baf7f09, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x4f590c31, "__folio_start_writeback" },
	{ 0xd15026f3, "d_obtain_root" },
	{ 0xbd022f5f, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa9923d25, "folio_end_writeback" },
	{ 0xc6975dc8, "rpc_call_sync" },
	{ 0x7bf226d4, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x21d53a64, "rpc_put_task_async" },
	{ 0x3d941f9f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d1a4450, "xdr_init_decode_pages" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x206dd8f6, "rpc_exit" },
	{ 0x5d9272eb, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x9b8ba12e, "d_delete" },
	{ 0x2c42c6c6, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x59f92af8, "nfs_ssc_unregister" },
	{ 0x1ecbeb36, "rpc_killall_tasks" },
	{ 0x668b19a1, "down_read" },
	{ 0xef6f68e1, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe54ba5d7, "iov_iter_get_pages_alloc2" },
	{ 0xf480a3b1, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x89c88207, "bpf_trace_run3" },
	{ 0x43946824, "__put_net" },
	{ 0x715f2a16, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa5068621, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4cb5f498, "generic_read_dir" },
	{ 0xdf0a346e, "kobject_del" },
	{ 0x51e08452, "trace_event_buffer_reserve" },
	{ 0x4b8c219a, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x689e2686, "filemap_fdatawait_range" },
	{ 0xea6bf930, "add_to_page_cache_lru" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x7b198a95, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x3c00c94d, "security_inode_notifysecctx" },
	{ 0x723b626f, "nfs_ssc_register" },
	{ 0xbe75173a, "init_user_ns" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x7fd8ace1, "invalidate_inode_pages2" },
	{ 0xccf93c, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x9ac7374b, "__folio_put" },
	{ 0xe360f9f3, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaea392f, "seq_printf" },
	{ 0x3da56a86, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf05bd2d8, "deactivate_locked_super" },
	{ 0x857974b7, "put_rpccred" },
	{ 0xb78914b6, "__percpu_down_read" },
	{ 0x33db6f94, "__d_lookup_unhash_wake" },
	{ 0xab6fc9aa, "rpc_clnt_swap_deactivate" },
	{ 0x7c0758ab, "kobject_uevent" },
	{ 0xf0c30e2a, "__fscache_invalidate" },
	{ 0xbcbc4a96, "folio_mapping" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x4bfbbba2, "cred_fscmp" },
	{ 0x2055fdab, "__folio_lock" },
	{ 0xdfe547dc, "filemap_dirty_folio" },
	{ 0x3cebc352, "pagecache_get_page" },
	{ 0xdf42aa11, "is_bad_inode" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x5815be89, "seq_puts" },
	{ 0x165aa73b, "__fscache_use_cookie" },
	{ 0xce5906b4, "rcuwait_wake_up" },
	{ 0x7abe501f, "_proc_mkdir" },
	{ 0x7b33de73, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x65a747b5, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xac95732f, "__fs_parse" },
	{ 0xdd1aa4de, "sysfs_create_link_nowarn" },
	{ 0x55f6a606, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x78d095a4, "dget_parent" },
	{ 0xd511eeda, "nlmclnt_init" },
	{ 0x45fd95a2, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x9998b397, "iget5_locked" },
	{ 0x747eeead, "filemap_write_and_wait_range" },
	{ 0xa116d997, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28a18887, "nlmclnt_done" },
	{ 0x754d539c, "strlen" },
	{ 0xd45383cd, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xa75460db, "param_ops_int" },
	{ 0x1586bbb0, "netfs_subreq_terminated" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0xb8402faf, "iov_iter_revert" },
	{ 0x3962bf10, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf4a944dd, "mntget" },
	{ 0x6c095cd, "setattr_should_drop_sgid" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xd7784b9c, "kmem_cache_alloc_lru" },
	{ 0xaccb14cc, "filemap_fault" },
	{ 0x8d51e2b4, "d_invalidate" },
	{ 0x27c25fdf, "__mark_inode_dirty" },
	{ 0x8dffdf2a, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1be55974, "folio_wait_private_2_killable" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53b954a2, "up_read" },
	{ 0x43d6885f, "rpc_wait_for_completion_task" },
	{ 0x9e36effb, "set_anon_super" },
	{ 0x92b3a4ac, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x773df250, "kmem_cache_destroy" },
	{ 0xd35535da, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa7bed1fe, "kobject_put" },
	{ 0xead72657, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x6b3484b1, "rpc_put_task" },
	{ 0xd3c10a7e, "super_setup_bdi_name" },
	{ 0x3f81574a, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa77d16c8, "__page_file_index" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f6e599, "generic_fillattr" },
	{ 0x2f34720c, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{  0xd839a, "clear_nlink" },
	{ 0xedb0ec61, "file_check_and_advance_wb_err" },
	{ 0x540e7ea7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc1ff0208, "d_alloc_parallel" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x54e5ab85, "clear_inode" },
	{ 0x9d2514c6, "inode_to_bdi" },
	{ 0x92a01dc2, "bpf_trace_run4" },
	{ 0xa5be95e7, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x8cbdf45b, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0xb3efaf81, "rpc_proc_register" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x93e18587, "sysfs_create_file_ns" },
	{ 0x3d3f0f04, "rpc_shutdown_client" },
	{ 0x8b78e6b0, "fs_param_is_string" },
	{ 0xe64ddef3, "folio_unlock" },
	{ 0x9d9e9ef4, "mnt_set_expiry" },
	{ 0x297f083d, "param_ops_ushort" },
	{ 0x7eaa7429, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd5869925, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x800aa94f, "filemap_map_pages" },
	{ 0xb943a8fa, "__fscache_begin_read_operation" },
	{ 0xc67562f, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfdc2a848, "trace_raw_output_prep" },
	{ 0xeef8317f, "kobject_rename" },
	{ 0x3a351b25, "security_sb_set_mnt_opts" },
	{ 0x9e9cba27, "init_special_inode" },
	{ 0x2a43946d, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd0d1e5a, "__trace_trigger_soft_disabled" },
	{ 0xba7d6641, "filemap_fdatawrite_range" },
	{ 0x3e7a75be, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x4f47de8e, "d_make_root" },
	{ 0x709c5062, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xefcbd3b4, "sync_filesystem" },
	{ 0x78647847, "__fscache_unuse_cookie" },
	{ 0x77828f66, "folio_redirty_for_writepage" },
	{ 0xe7fb1292, "register_shrinker" },
	{ 0xdaee26ed, "sget_fc" },
	{ 0x85fefaf5, "d_splice_alias" },
	{ 0x19d0e647, "generic_error_remove_page" },
	{ 0x19d6c2e, "trace_event_raw_init" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x3569201, "unmap_mapping_range" },
	{ 0x25fec3c, "ihold" },
	{ 0xfc071a3f, "inode_dio_wait" },
	{ 0x67771d13, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xe5756e32, "invalidate_inode_pages2_range" },
	{ 0xfb8c3d75, "read_cache_page" },
	{ 0x3fc9ae2b, "finish_open" },
	{ 0x6b8385b8, "iput" },
	{ 0xc0ad2ab0, "kset_unregister" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x712cd476, "security_sb_clone_mnt_opts" },
	{ 0x1723c0fd, "fs_param_is_enum" },
	{ 0xb07c5526, "logfc" },
	{ 0xb1a7faf2, "__put_devmap_managed_page_refs" },
	{ 0x9e233070, "iter_file_splice_write" },
	{ 0x3b3e4a53, "rpc_pton" },
	{ 0x26f8333, "mod_node_page_state" },
	{ 0xec85ee40, "rpc_wake_up_queued_task" },
	{ 0x6a73332f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x9bf7b81c, "remove_proc_subtree" },
	{ 0x4935848a, "rpc_restart_call_prepare" },
	{ 0xfc51c126, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5f4bf9aa, "__module_get" },
	{ 0x44a69c61, "__fscache_relinquish_cookie" },
	{ 0xb8478ef4, "register_filesystem" },
	{ 0xbd045b3e, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xcff2fb84, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4bdd7562, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x627fe1a5, "rpc_sleep_on" },
	{ 0xba16f9d6, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x859f29e0, "netfs_readahead" },
	{ 0xd0636d26, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xce109a46, "d_prune_aliases" },
	{ 0xdfafc787, "__put_cred" },
	{ 0x8dbd5884, "register_pernet_subsys" },
	{ 0xb3b64331, "swapcache_mapping" },
	{ 0x70ead6c7, "rpc_cancel_tasks" },
	{ 0xc13a5248, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,fscache,lockd,netfs");


MODULE_INFO(srcversion, "FCD9DA6CA538AECE1D459A0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
