#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0x5edc0395, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0xa42ce57a, "");
SYMBOL_CRC(ax25_linkfail_release, 0x2e0134b2, "");
SYMBOL_CRC(ax25_listen_register, 0xd89fa3ea, "");
SYMBOL_CRC(ax25_listen_release, 0x3480b4c7, "");
SYMBOL_CRC(ax25_header_ops, 0xd8e4e17a, "");
SYMBOL_CRC(ax25_ip_xmit, 0xf51f4ab5, "");
SYMBOL_CRC(ax25_send_frame, 0xb0a64adb, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0xddbf7e4d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x46625dac, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56285e38, "skb_queue_purge_reason" },
	{ 0xa14b0fe4, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd0ab6f35, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0x82557c0c, "sock_register" },
	{ 0x2065dabc, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe6f2996e, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x3f852956, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3b1832ec, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4da47d34, "skb_queue_tail" },
	{ 0x22cc6d9c, "init_net" },
	{ 0x8973dae7, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x62c3b04e, "dev_remove_pack" },
	{ 0xfea80c95, "sk_free" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x89ebec33, "skb_push" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x83cb45f0, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3cf61c8e, "skb_copy_datagram_iter" },
	{ 0xf9eb309c, "__skb_wait_for_more_packets" },
	{ 0xbdd26326, "sk_alloc" },
	{ 0x896223fb, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x674bc986, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xabae1dc2, "sock_no_mmap" },
	{ 0x8b7c9341, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5cf52f1a, "sock_rfree" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb662685c, "sock_i_ino" },
	{ 0x2d01b96f, "__dev_queue_xmit" },
	{ 0x7b3f3b17, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x23216114, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x415f0f43, "remove_proc_entry" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xaea392f, "seq_printf" },
	{ 0x48f3e70b, "skb_copy" },
	{ 0x4e7e2638, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x75e72129, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5815be89, "seq_puts" },
	{ 0xc50ee4d7, "sock_gettstamp" },
	{ 0x2464c91c, "send_sig" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x199cf6fe, "from_kuid_munged" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xb8402faf, "iov_iter_revert" },
	{ 0xcedeb5fe, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb5397d06, "sock_init_data" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x6b21ea26, "release_sock" },
	{ 0x7b10afb6, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xda85bfbc, "skb_free_datagram" },
	{ 0x8aaf1bd3, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5821f1f1, "skb_put" },
	{ 0xfd3dfe8f, "skb_expand_head" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x92e10918, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5eee34d, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xa7a844e8, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA7EF650161236D4158E2E9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
