#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xf19e2c17, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x00016961, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x84d0c099, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x1a0c82aa, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xfca90116, "_gpl");
SYMBOL_CRC(br_forward, 0xf034c7d9, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xcff53772, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xa8980c24, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x899bf8d2, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x37a032eb, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x718def4c, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x3e73f7af, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x98de3dd5, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xc43dc1a1, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xafd1adc4, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xe998d0c2, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x908aa78b, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x62f7f930, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xa8b0817e, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x144981fa, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xdd4e4459, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xc12c222a, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x107ff77d, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xa9142403, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xc7457438, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd3f9475, "skb_trim" },
	{ 0x469d9c2e, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4134caea, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x20093aef, "__ip_mc_inc_group" },
	{ 0x72bd1e5a, "netdev_walk_all_upper_dev_rcu" },
	{ 0xe2a32d52, "pv_ops" },
	{ 0x189841da, "sysfs_remove_group" },
	{ 0x756ad8c, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xefa1dd99, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbe9fdcd1, "__netpoll_setup" },
	{ 0x2d01b96f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf729321b, "vlan_vid_add" },
	{ 0x5d75b001, "neigh_destroy" },
	{ 0xaaf63ca4, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xdf0a346e, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x97837a4d, "__SCK__tp_func_br_fdb_update" },
	{ 0x3edc71b4, "call_netdevice_notifiers" },
	{ 0x6a6e7fb6, "is_skb_forwardable" },
	{ 0x71007ac5, "vlan_vid_del" },
	{ 0xcb69117a, "dev_set_allmulti" },
	{ 0xcb6cb510, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf9169160, "netdev_master_upper_dev_get" },
	{ 0x7b0ba872, "ipv6_dev_mc_inc" },
	{ 0x15a33d06, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3577e3c1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc05e325c, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x4e7e2638, "skb_clone" },
	{ 0xa27902a6, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xeaefdad, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x71b941c, "dst_release" },
	{ 0xa7491894, "netif_carrier_on" },
	{ 0x7c0758ab, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x73b02b36, "arp_tbl" },
	{ 0x5b881b82, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd95ca0cf, "netdev_rx_handler_register" },
	{ 0x3bbf6d01, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2a82fb34, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x321f02de, "dev_disable_lro" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xa650a36b, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x1bb2da61, "dev_get_flags" },
	{ 0xcd4b469d, "__rtnl_unregister_many" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xa2367829, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x634bdea9, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xefebfe5, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x4b0e1fd1, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb301c0ec, "skb_ext_add" },
	{ 0x1bd429ef, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x10191ab4, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x1e69cba8, "neigh_lookup" },
	{ 0x773df250, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa7bed1fe, "kobject_put" },
	{ 0x27fdfd72, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xe17b26b4, "netdev_lower_get_next" },
	{ 0xdd575166, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6e7ea23e, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xceb2e006, "skb_copy_bits" },
	{ 0x3bbb694d, "__nlmsg_put" },
	{ 0x2a93c3e3, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x652cb8ea, "ipv6_mc_check_mld" },
	{ 0x5821f1f1, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3d58acf, "call_switchdev_notifiers" },
	{ 0x93e18587, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x70335832, "netdev_update_features" },
	{ 0xbfd1a0d4, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x63190714, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x35b19eaa, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1074d6e8, "netpoll_send_skb" },
	{ 0x4546c87, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x2ff31ab9, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2220a3a2, "switchdev_port_obj_act_is_deferred" },
	{ 0x7da96fd2, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x30f65cb2, "dev_set_promiscuity" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdb9a7bb4, "unregister_netdevice_queue" },
	{ 0xbd045b3e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7a35e75d, "netdev_state_change" },
	{ 0x7e8d5b7e, "__pskb_copy_fclone" },
	{ 0x46625dac, "__dev_get_by_name" },
	{ 0x55d42c7e, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf22f1fb5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc83e8bb, "pskb_expand_head" },
	{ 0x8dbd5884, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x99b219eb, "brioctl_set" },
	{ 0xaadb8a1, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x7b07d9a1, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xda58e487, "alloc_netdev_mqs" },
	{ 0xc2f7c85e, "passthru_features_check" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7a7540ec, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5d564a9e, "__SCK__tp_func_br_mdb_full" },
	{ 0xff919763, "rtnl_af_register" },
	{ 0x5397fced, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x3f852956, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbd04412f, "kmem_cache_alloc" },
	{ 0xa3d802b0, "rtnl_set_sk_err" },
	{ 0xca918b39, "skb_vlan_pop" },
	{ 0x776c511b, "sysfs_create_link" },
	{ 0xd7dea695, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6350d90a, "nla_reserve_64bit" },
	{ 0xc5b63a, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1b84155f, "__dev_get_by_index" },
	{ 0xa95c7343, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xa5fa2188, "dev_get_port_parent_id" },
	{ 0x22cc6d9c, "init_net" },
	{ 0x7d37f211, "ipv6_stub" },
	{ 0x932130ec, "inet_confirm_addr" },
	{ 0x8973dae7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3eae5009, "sysfs_remove_link" },
	{ 0x126c13c5, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5bd186e7, "__SCK__tp_func_br_fdb_add" },
	{ 0x21277b4d, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xff5a98be, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x560a785e, "dev_get_by_index_rcu" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0x41efc7ef, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x89ebec33, "skb_push" },
	{ 0x221c5e33, "kmem_cache_free" },
	{ 0xab103e06, "br_fdb_test_addr_hook" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe2c3ee2d, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x51d67872, "netdev_upper_dev_unlink" },
	{ 0xa25d479d, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x63f12353, "llc_mac_hdr_init" },
	{ 0xbf242c61, "__rtnl_register_many" },
	{ 0x4d493623, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf59f9c91, "__SCK__tp_func_fdb_delete" },
	{ 0xb027939f, "kobject_init_and_add" },
	{ 0xa18b18b9, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x19661d52, "ns_capable" },
	{ 0xff1acbee, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x83e7c53c, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfd849001, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x71384f76, "arp_create" },
	{ 0x58bbbd1c, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x121b55e6, "stp_proto_register" },
	{ 0xb1934800, "__tracepoint_br_fdb_update" },
	{ 0x57150f44, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x3d941f9f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x783d619f, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1301de3f, "__pskb_pull_tail" },
	{ 0xcf9f903, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x8b7c9341, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xe17f9aff, "ip_mc_check_igmp" },
	{ 0x72602fb1, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xa7508c3a, "switchdev_port_obj_del" },
	{ 0xb67b0fb8, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xd794c405, "kobject_create_and_add" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "CAE43D00CBEE18644F16B1F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
