#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp6_output_head, "_gpl", "");
KSYMTAB_FUNC(esp6_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp6_input_done2, "_gpl", "");

SYMBOL_CRC(esp6_output_head, 0xbfbfdcfc, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0x4aaa18e7, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0x19e114d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x970cbd68, "crypto_aead_setauthsize" },
	{ 0x6b2b1f6, "crypto_aead_setkey" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x570026fb, "xfrm_state_lookup" },
	{ 0xe6f2996e, "make_kuid" },
	{ 0xc0ba5a2c, "ip6_update_pmtu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6d15b8fe, "ip6_redirect" },
	{ 0xb3d5ec48, "__xfrm_state_destroy" },
	{ 0xfea80c95, "sk_free" },
	{ 0xceb2e006, "skb_copy_bits" },
	{ 0xe8d03728, "ipv6_skip_exthdr" },
	{ 0x4ca7f070, "km_new_mapping" },
	{ 0x960209f4, "skb_pull_rcsum" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xeefe1a25, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x847b707e, "xfrm_input_resume" },
	{ 0x2a5e0dc8, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb3ebdbf8, "skb_to_sgvec" },
	{ 0xe1fbf1d5, "crypto_aead_decrypt" },
	{ 0x89ebec33, "skb_push" },
	{ 0x1301de3f, "__pskb_pull_tail" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x680ffe66, "napi_pp_put_page" },
	{ 0xb1a7faf2, "__put_devmap_managed_page_refs" },
	{ 0x9ac7374b, "__folio_put" },
	{ 0x622c19aa, "xfrm_dev_resume" },
	{ 0xec527053, "xfrm_output_resume" },
	{ 0xa3176079, "__skb_ext_del" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x5925b527, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x464b35e, "__inet6_lookup_established" },
	{ 0xc7e80f30, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xeaf20ddc, "espintcp_push_skb" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5cdfec24, "espintcp_queue_out" },
	{ 0xfb578fc5, "memset" },
	{ 0x9dd34c30, "crypto_aead_encrypt" },
	{ 0x7d8fc6d, "skb_page_frag_refill" },
	{ 0x4ae3c5cc, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9f391ff4, "xfrm_state_mtu" },
	{ 0xa134ef63, "xfrm6_rcv" },
	{ 0x9380742d, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5b1c79ea, "skb_checksum" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x907e3283, "xfrm_register_type" },
	{ 0xe5caad99, "xfrm6_protocol_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0xcf25d54c, "xfrm_unregister_type" },
	{ 0xc4c3f554, "crypto_destroy_tfm" },
	{ 0xa41b077, "xfrm6_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3577094, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "A39B3335E42DB45A3B390F2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
