#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x9b9abffc, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x7e042354, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x1f7e2c65, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x6a0723fe, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x8614760a, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x86d82916, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xd4f4a1b2, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x699b75cb, "");
SYMBOL_CRC(ip_vs_conn_put, 0x1e0b9337, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xb55ccb54, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xa4a206b5, "");
SYMBOL_CRC(register_ip_vs_app, 0xa607dcda, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xfbd41472, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x1398be2b, "");
SYMBOL_CRC(ip_vs_proto_get, 0x89564ddd, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x402e5dcc, "");
SYMBOL_CRC(register_ip_vs_pe, 0xe2b13269, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xd203924e, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x846797ef, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a21b0ff, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x72860278, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x802cee5b, "nf_conntrack_alter_reply" },
	{ 0x6cd7ed67, "ip_route_me_harder" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x89ebec33, "skb_push" },
	{ 0x221c5e33, "kmem_cache_free" },
	{ 0xbcf79fdc, "set_cpus_allowed_ptr" },
	{ 0x63691d08, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0x9f07309, "nf_ct_expect_alloc" },
	{ 0xfe2dd8ed, "skb_ensure_writable" },
	{ 0x6e404e7e, "iov_iter_kvec" },
	{ 0xb76fa7ec, "ip_mc_join_group" },
	{ 0x7ab50ad9, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x19661d52, "ns_capable" },
	{ 0xc56d1946, "nf_unregister_net_hooks" },
	{ 0xff1acbee, "inet_select_addr" },
	{ 0xca550296, "unregister_pernet_device" },
	{ 0x83cb45f0, "lock_sock_nested" },
	{ 0x5193eb10, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd75d03cf, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x88a033c, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3d941f9f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x58f9728, "kernel_connect" },
	{ 0x5b1c79ea, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x8ca3c683, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1301de3f, "__pskb_pull_tail" },
	{ 0xdd13ea36, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdd3f9475, "skb_trim" },
	{ 0x469d9c2e, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53565fab, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xa89ee654, "nf_ct_deliver_cached_events" },
	{ 0xb5ba3ee, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa29fb01, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x836988c2, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7730f400, "ipv4_mtu" },
	{ 0x7b3f3b17, "skb_set_owner_w" },
	{ 0x69a64c89, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x59754b7c, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbe75173a, "init_user_ns" },
	{ 0xbe0e993b, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x415f0f43, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xaea392f, "seq_printf" },
	{ 0x43950ea8, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x1dffb08f, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x53ccd993, "ipv4_update_pmtu" },
	{ 0xa6773c86, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x71b941c, "dst_release" },
	{ 0xacef6ae5, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x5815be89, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x143098b, "ip_local_out" },
	{ 0x9621c590, "genl_unregister_family" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x409fd729, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa75460db, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd8209575, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf359e68b, "kernel_sendmsg" },
	{ 0x7dce432d, "nf_ct_netns_put" },
	{ 0x7a7c458d, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x773df250, "kmem_cache_destroy" },
	{ 0x6b21ea26, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x63d056b3, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xa5085993, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x540e7ea7, "try_module_get" },
	{ 0xee112823, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd6e13bab, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x750dac96, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xceb2e006, "skb_copy_bits" },
	{ 0x191d823f, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0xbfd1a0d4, "consume_skb" },
	{ 0xe9da5c3c, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xae22e7c7, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x28a060c4, "nf_register_sockopt" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xfc875197, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xccac5afa, "kernel_bind" },
	{ 0xf18d8fdf, "set_user_nice" },
	{ 0xd9e656a2, "genlmsg_put" },
	{ 0x4f0f2c67, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xeff385e, "ip6_output" },
	{ 0x2ecd92a7, "ip6_route_me_harder" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5f4bf9aa, "__module_get" },
	{ 0x33e9ed27, "ip_route_output_flow" },
	{ 0xbd045b3e, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbb39e71a, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x46625dac, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xd0636d26, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc83e8bb, "pskb_expand_head" },
	{ 0x8dbd5884, "register_pernet_subsys" },
	{ 0x1d57283f, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xa14b0fe4, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xce00063a, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x3909ccbb, "nf_register_net_hooks" },
	{ 0x151e8703, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x3f852956, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbd04412f, "kmem_cache_alloc" },
	{ 0x5f634cb7, "ipv6_sock_mc_join" },
	{ 0x544f41a, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xd7dea695, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1c2cb5a9, "__skb_get_hash" },
	{ 0x22cc6d9c, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbbf57743, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "6568108C3AF63C9630E3FBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
