#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xaf76f4f7, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x4336d244, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x3bfaa105, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xc10a6058, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xdd13ea36, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xa5085993, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x1dd2976d, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x3c0d05ed, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x088a033c, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x0fd3c65a, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x61a32f95, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xdb51ff1c, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x8daff072, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x802cee5b, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xbffc659e, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x1120f919, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x2d4bdec2, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xb39356f5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xb997d20d, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x2fab8e07, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x4bb14732, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xa79ff4be, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xe8df02dc, "_gpl");
SYMBOL_CRC(print_tuple, 0x0d1e4220, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xb8e698d3, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x56caf12e, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x05580e6a, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x1272c722, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xf25fe733, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x989d0a99, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x2938fa39, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x09f07309, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xbe0e993b, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x7ab50ad9, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x72860278, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x4c18889e, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xa9c129e0, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x0382fc5d, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x9c4d3176, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x048237ab, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xeefbc99f, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xc246706a, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x1d4a0f0c, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x6d53b1a9, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x2be41abc, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x86eb1434, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xb108d8ec, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xd30df08e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x01a07599, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xeeb6972d, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xe0d83492, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x6ac513f8, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x6f696a41, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x787571f1, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x4fe9ef51, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xe61d62cb, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xed0595ef, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x3e6f9fee, "_gpl");
SYMBOL_CRC(nf_confirm, 0x97bc7efc, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xfc875197, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x7dce432d, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xcd048cb9, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x9df7c509, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x63d056b3, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x77c79094, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x1affb55d, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xba635a76, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xdb1bbc80, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xa1768f69, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xa2695c43, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x8e76fd9d, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xaf32609b, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xe82766a7, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xbe979e78, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xf3bf81c1, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xa89ee654, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x8ac272ac, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x30eb5b61, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x8e6ad6e6, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x3237d088, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x7381587e, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x0076f54a, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xa887a97c, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xe9ba7085, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x86d6a634, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x75882e62, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xb9a07bea, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xaaa34acf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79c1aa85, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe6f2996e, "make_kuid" },
	{ 0x35bf0e1f, "nf_defrag_ipv6_disable" },
	{ 0xe8d03728, "ipv6_skip_exthdr" },
	{ 0x3909ccbb, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xbd04412f, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x544f41a, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5346cdd7, "nf_checksum" },
	{ 0x22cc6d9c, "init_net" },
	{ 0x3ae0beb0, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x221c5e33, "kmem_cache_free" },
	{ 0x63691d08, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0x252d1ac9, "nf_checksum_partial" },
	{ 0xfe2dd8ed, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc56d1946, "nf_unregister_net_hooks" },
	{ 0x83cb45f0, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x3d941f9f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x8ca3c683, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6151bd69, "nf_log_packet" },
	{ 0x5d9272eb, "make_kgid" },
	{ 0xb34cdb63, "nf_ip_checksum" },
	{ 0xfd003d9, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe8d285b2, "nla_policy_len" },
	{ 0x43946824, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x69a64c89, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x263f03ef, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7b198a95, "param_ops_bool" },
	{ 0xa0712fe6, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x415f0f43, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaea392f, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa6773c86, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x5815be89, "seq_puts" },
	{ 0x7b2066a8, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x20361d3c, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xc0de5f1c, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x773df250, "kmem_cache_destroy" },
	{ 0x6b21ea26, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb65b6143, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x540e7ea7, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd73a7a75, "nf_defrag_ipv4_disable" },
	{ 0x7d24796d, "nf_ip6_checksum" },
	{ 0x1afaa2fd, "proc_dou8vec_minmax" },
	{ 0xceb2e006, "skb_copy_bits" },
	{ 0xf6b6cb5, "param_ops_uint" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x28a060c4, "nf_register_sockopt" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x132c6de7, "nfct_btf_struct_access" },
	{ 0xf8cffb17, "param_set_uint" },
	{ 0x5c93bade, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf4bdeb00, "nf_ct_frag6_gather" },
	{ 0x550964cf, "get_net_ns_by_id" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbd045b3e, "kmem_cache_create" },
	{ 0xd24a5301, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd0636d26, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x8dbd5884, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xa14b0fe4, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xce00063a, "nf_unregister_sockopt" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "3FEA17C01257C3E5839325B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
