#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x6ef2b08d, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xbb792db5, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x59a4c19f, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xaa69f738, "");
SYMBOL_CRC(gss_mech_put, 0x0c7791b5, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x6e93aa8d, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xc9820be0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe97f4ce5, "qword_get" },
	{ 0x68d6a631, "rpcauth_init_credcache" },
	{ 0x54ca163f, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x3e8d3d08, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf9842b7d, "trace_event_reg" },
	{ 0x8bcfad5e, "rpc_call_null" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x880b4721, "rpc_sleep_on_timeout" },
	{ 0x361b46dd, "rpc_create" },
	{ 0xbd022f5f, "bpf_trace_run1" },
	{ 0xc6975dc8, "rpc_call_sync" },
	{ 0x65894b0, "from_kuid" },
	{ 0x3d941f9f, "unregister_pernet_subsys" },
	{ 0xe2139604, "rpc_queue_upcall" },
	{ 0xe1df361f, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x17d1390b, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3d71e5ca, "svcauth_unix_set_client" },
	{ 0xf767f0b8, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x5d9272eb, "make_kgid" },
	{ 0x9938bfb8, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xef6f68e1, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x678fd91f, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x89c88207, "bpf_trace_run3" },
	{ 0x43946824, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x30468f13, "rpc_mkpipe_dentry" },
	{ 0x87c517c2, "rpc_mkpipe_data" },
	{ 0xc69df481, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x51e08452, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xc3f99b2b, "cache_register_net" },
	{ 0xbe75173a, "init_user_ns" },
	{ 0xccf93c, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9dd9dc94, "xdr_inline_pages" },
	{ 0x9ac7374b, "__folio_put" },
	{ 0x415f0f43, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0x857974b7, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x163d912b, "rpc_unlink" },
	{ 0xd06f0dcf, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x199cf6fe, "from_kuid_munged" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x169a9e4, "rpcauth_init_cred" },
	{ 0xd20d7200, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfb4b1190, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xab18e0f1, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x767b0c8e, "xdr_stream_pos" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xaa0b80e8, "sunrpc_cache_update" },
	{ 0xa8090911, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x75c7d5f1, "auth_domain_put" },
	{ 0xb05bcf15, "rpcauth_unwrap_resp_decode" },
	{ 0x8886d5cc, "rpcauth_register" },
	{ 0x6b3484b1, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x540e7ea7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3caa8e0f, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x2bc08051, "xdr_buf_from_iov" },
	{ 0x92a01dc2, "bpf_trace_run4" },
	{ 0x209d1e2b, "xdr_stream_decode_opaque_auth" },
	{ 0xf6b6cb5, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd7fff585, "xdr_write_pages" },
	{ 0x3d3f0f04, "rpc_shutdown_client" },
	{ 0x8acf47a6, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc67562f, "xdr_inline_decode" },
	{ 0x84d79d07, "cache_create_net" },
	{ 0x1b109b05, "rpcauth_destroy_credcache" },
	{ 0xfdc2a848, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x89ac8db2, "bpf_trace_run6" },
	{ 0x967b76ac, "rpc_net_ns" },
	{ 0xce896963, "read_bytes_from_xdr_buf" },
	{ 0xfd0d1e5a, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0x709c5062, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x88f04e7c, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x19d6c2e, "trace_event_raw_init" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xb1a7faf2, "__put_devmap_managed_page_refs" },
	{ 0xe0d752cc, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x6a73332f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x5463ada5, "xdr_truncate_decode" },
	{ 0x85b43321, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5af14853, "__xdr_commit_encode" },
	{ 0x5f4bf9aa, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x627fe1a5, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfafc787, "__put_cred" },
	{ 0x8dbd5884, "register_pernet_subsys" },
	{ 0xc13a5248, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfef592c9, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3e38d859, "rpc_release_client" },
	{ 0x89f9ba7, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6df622e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa7c9e1e, "svc_auth_register" },
	{ 0xf0ee8585, "xdr_stream_encode_opaque_auth" },
	{ 0xe6f2996e, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x2d41dc62, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbb2c5557, "__free_pages" },
	{ 0x9d2cccfb, "rpc_pipe_generic_upcall" },
	{ 0x544f41a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xbd98f2ba, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2a593f01, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb643e274, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb4808340, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "D3213DC345F5419BC550B8B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
