#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b13a8b8, "hid_snto32" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2a72de0e, "devm_kmalloc" },
	{ 0xbd015a5c, "hid_open_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x83e7c53c, "sysfs_create_group" },
	{ 0xcc4e5c05, "hid_hw_start" },
	{ 0xcf2a6966, "up" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe043fa4d, "hid_connect" },
	{ 0xf0de244e, "devm_kfree" },
	{ 0x198d7b9e, "input_ff_create" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdcddc8c2, "device_create_file" },
	{ 0xbcbf6930, "devm_kmemdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbe142f4f, "devm_power_supply_register" },
	{ 0xac2913da, "power_supply_powers" },
	{ 0x87fba843, "devm_kasprintf" },
	{ 0xd8265cb0, "devm_input_allocate_device" },
	{ 0xcccaa52e, "input_register_device" },
	{ 0x4137e325, "input_free_device" },
	{ 0x7b198a95, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7487f52d, "__hid_register_driver" },
	{ 0xd2e28da9, "input_event" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0xf5755327, "hid_is_usb" },
	{ 0xbd194c4e, "usb_set_wireless_status" },
	{ 0x59baf443, "input_mt_get_slot_by_key" },
	{ 0xee4c7265, "input_mt_report_slot_state" },
	{ 0xefaf2d0c, "input_mt_sync_frame" },
	{ 0x189841da, "sysfs_remove_group" },
	{ 0x4c56a8f6, "hid_hw_stop" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x86688fb8, "hid_hw_open" },
	{ 0x1b241a3b, "hid_hw_close" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1a028ba6, "hid_hw_output_report" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x58df8c1d, "hid_hw_raw_request" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53fa6d9e, "power_supply_get_drvdata" },
	{ 0x5a921311, "strncmp" },
	{ 0x96848186, "scnprintf" },
	{ 0xe678e646, "_dev_info" },
	{ 0xd0bee530, "device_remove_file" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x37a0cba, "kfree" },
	{ 0x617a9068, "hid_unregister_driver" },
	{ 0xc310b981, "strnstr" },
	{ 0x6532d674, "input_set_abs_params" },
	{ 0xdca863ff, "input_alloc_absinfo" },
	{ 0x29b7c572, "input_set_capability" },
	{ 0x2642dd7e, "input_mt_init_slots" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ed62831, "power_supply_changed" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x5d6ca097, "hid_report_raw_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x122c3a7e, "_printk" },
	{ 0x577b7800, "hid_field_extract" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "usbhid,usbcore");

MODULE_ALIAS("hid:b0003g0102v0000046Dp00004011");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004101");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B00C");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00001017");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000402D");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000101B");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000101A");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004024");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004002");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B305");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B309");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B30B");
MODULE_ALIAS("hid:b0003g0102v0000046Dp*");
MODULE_ALIAS("hid:b0003g0104v0000046Dp00000049");
MODULE_ALIAS("hid:b0003g0104v0000046Dp00000057");
MODULE_ALIAS("hid:b0003g0104v0000046Dp0000005C");
MODULE_ALIAS("hid:b0003g0104v0000046Dp000000FE");
MODULE_ALIAS("hid:b0003g0104v0000046Dp*");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C082");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C08D");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C087");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C090");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C081");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C086");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C091");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C343");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C262");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C26E");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C088");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C094");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C09B");
MODULE_ALIAS("hid:b0003g*v0000046Dp00000A87");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B305");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B309");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B30B");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B35F");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B008");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B012");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B015");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B01D");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B01E");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B02A");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B023");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B025");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B034");

MODULE_INFO(srcversion, "DF0DC6DAB0CC489C2519D1C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
