#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x7819ef29, "");
SYMBOL_CRC(ishtp_start, 0x55209e5f, "");
SYMBOL_CRC(ishtp_send_suspend, 0xcd449bc4, "");
SYMBOL_CRC(ishtp_send_resume, 0xdfdc685d, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0xba7d606b, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x818b00dd, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0xbe89ffc4, "");
SYMBOL_CRC(ishtp_cl_allocate, 0xdcc1ffe2, "");
SYMBOL_CRC(ishtp_cl_free, 0x2dc31a4c, "");
SYMBOL_CRC(ishtp_cl_link, 0x8c2f9920, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x308d1161, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x20849917, "");
SYMBOL_CRC(ishtp_cl_connect, 0x1d0a9691, "");
SYMBOL_CRC(ishtp_cl_send, 0xfd43df29, "");
SYMBOL_CRC(ishtp_get_client_data, 0x255b367c, "");
SYMBOL_CRC(ishtp_set_client_data, 0x922c3cd6, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0xec39dcd6, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x89af88bf, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x6f1823e2, "");
SYMBOL_CRC(ishtp_set_connection_state, 0xa5bc6260, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0xeb780dbb, "");
SYMBOL_CRC(ishtp_recv, 0x431deb72, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x44af93b0, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0xf0378032, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x5ed371b8, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0xddc49b5b, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x71f2f05b, "");
SYMBOL_CRC(ishtp_get_device, 0x0167dddd, "");
SYMBOL_CRC(ishtp_put_device, 0xabe76b72, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x3f47e45c, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xdf763164, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x57637372, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x425bec6d, "");
SYMBOL_CRC(ishtp_reset_handler, 0xaa56a1cf, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xe6061bfd, "");
SYMBOL_CRC(ishtp_device, 0x40df6d25, "");
SYMBOL_CRC(ishtp_wait_resume, 0xc4eb3314, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0xe8252625, "");
SYMBOL_CRC(ishtp_trace_callback, 0x6968c5e2, "");
SYMBOL_CRC(ish_hw_reset, 0x3ce07b01, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x1d844358, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x681d1bf1, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x56ff0f41, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3527458f, "put_device" },
	{ 0xe678e646, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdff667d4, "bus_unregister" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x534cca86, "dma_alloc_attrs" },
	{ 0x42590d5a, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa49a77ae, "device_register" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf822fcff, "dma_free_attrs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xa75460db, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89063128, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x43af76a9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6431c028, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6a142f93, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A8A484047E007EB5458566");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
