#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2eaf8a20, "fc_remote_port_delete" },
	{ 0x9e858d36, "scsi_is_fc_rport" },
	{ 0xf20286bd, "scsi_done" },
	{ 0x8ef13403, "mptscsih_qcmd" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x78d0a209, "mptscsih_event_process" },
	{ 0x557744cb, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x925531b0, "mpt_config" },
	{ 0x534cca86, "dma_alloc_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x88047c1b, "mptscsih_ioc_reset" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb1acfc95, "mpt_attach" },
	{ 0x3980cd27, "scsi_host_alloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x38bb8b27, "scsi_add_host_with_dma" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x16a5605f, "mptscsih_abort" },
	{ 0xeb1d5d04, "mptscsih_dev_reset" },
	{ 0xed0fdb17, "mptscsih_bus_reset" },
	{ 0x12189792, "fc_remote_port_add" },
	{ 0xd9fe52d7, "fc_remote_port_rolechg" },
	{ 0xb7c0f443, "sort" },
	{ 0xfd22f527, "mptscsih_suspend" },
	{ 0x9b59b98, "mptscsih_resume" },
	{ 0x3716d5cf, "mptscsih_shutdown" },
	{ 0xd90c7650, "mptscsih_info" },
	{ 0x23a1270, "mptscsih_host_reset" },
	{ 0x75c24e1d, "mptscsih_slave_configure" },
	{ 0xfc252ed6, "mptscsih_slave_destroy" },
	{ 0xf9fbec2, "mptscsih_change_queue_depth" },
	{ 0xddebd276, "mptscsih_bios_param" },
	{ 0xf21d393f, "mptscsih_show_info" },
	{ 0xeb87f22a, "fc_eh_timed_out" },
	{ 0xb7f31a66, "mptscsih_host_attr_groups" },
	{ 0xa75460db, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb2d2862f, "fc_attach_transport" },
	{ 0x90575b6d, "mptscsih_io_done" },
	{ 0xe1d7b519, "mpt_register" },
	{ 0x64ee7037, "mptscsih_taskmgmt_complete" },
	{ 0x26391b03, "mptscsih_scandv_complete" },
	{ 0x5cf93b75, "mpt_event_register" },
	{ 0xcbb69613, "mpt_reset_register" },
	{ 0xaf84180d, "__pci_register_driver" },
	{ 0x5ee52d73, "fc_release_transport" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x91941a14, "fc_remove_host" },
	{ 0x37a0cba, "kfree" },
	{ 0xf822fcff, "dma_free_attrs" },
	{ 0xf0187bfa, "scsi_remove_host" },
	{ 0x79af6772, "mptscsih_remove" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,scsi_mod,mptscsih,mptbase");

MODULE_ALIAS("pci:v00001000d00000621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000624sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000622sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000628sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000626sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000642sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001657d00000646sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C722A4064FFAAF5F824D402");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
