#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(felix_switch_ops, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_switch_ops, 0x223ae660, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x9f697a41, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x4b4300b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x239cf0ca, "ocelot_port_del_dscp_prio" },
	{ 0xe1e22673, "ocelot_mrp_del_ring_role" },
	{ 0x10422eca, "ocelot_sb_tc_pool_bind_set" },
	{ 0x5a37a89, "dsa_fdb_present_in_other_db" },
	{ 0x2ebb7ba5, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf5f94ac5, "dsa_mdb_present_in_other_db" },
	{ 0x445f76e8, "ocelot_vcap_filter_add" },
	{ 0x38960c70, "ocelot_sb_port_pool_get" },
	{ 0xd3a8ca69, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x31ffbe75, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x22feb339, "ocelot_port_inject_frame" },
	{ 0x1e51c807, "ocelot_mrp_add" },
	{ 0x8c435f4e, "ocelot_sb_occ_port_pool_get" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xdee30ed7, "ocelot_sb_pool_set" },
	{ 0xac9f0cb9, "ocelot_lag_fdb_del" },
	{ 0x127fb1c0, "ocelot_vcap_filter_del" },
	{ 0x927a0ebd, "ocelot_cls_flower_stats" },
	{ 0xd0ae055a, "ocelot_lock_inj_grp" },
	{ 0x5550cfdd, "ocelot_lock_xtr_grp_bh" },
	{ 0xc18b03aa, "ocelot_sb_pool_get" },
	{ 0x25e48672, "ocelot_lock_xtr_grp" },
	{ 0x33db3e32, "ocelot_phylink_mac_link_up" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe4c7cf91, "ocelot_deinit_port" },
	{ 0x93475ad3, "ocelot_can_inject" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x6bd236b, "ocelot_port_mirror_add" },
	{ 0xcdea05b1, "ocelot_fdb_dump" },
	{ 0x3bfcf3fb, "ocelot_vlan_prepare" },
	{ 0xf000aa9b, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2125df51, "ocelot_set_ageing_time" },
	{ 0x79c9a094, "__ocelot_rmw_ix" },
	{ 0x2a72de0e, "devm_kmalloc" },
	{ 0x859160c8, "ocelot_hwstamp_set" },
	{ 0x1e9d2496, "ocelot_port_policer_del" },
	{ 0x3f21d304, "ocelot_port_lag_change" },
	{ 0xbfd1a0d4, "consume_skb" },
	{ 0x9fa6e5d, "ocelot_port_policer_add" },
	{ 0x702ebe07, "ocelot_port_mdb_add" },
	{ 0xc9374ee8, "ocelot_vlan_add" },
	{ 0xb8b2148e, "ocelot_sb_tc_pool_bind_get" },
	{ 0xeb347404, "ocelot_port_bridge_flags" },
	{ 0xc8320daf, "ocelot_devlink_sb_unregister" },
	{ 0x1937cc5a, "ocelot_port_bridge_leave" },
	{ 0x77fd94c3, "ocelot_port_set_maxlen" },
	{ 0x98e8fd3c, "ocelot_vcap_filter_replace" },
	{ 0x8e26783b, "ocelot_get_max_mtu" },
	{ 0x4391c14a, "regmap_fields_update_bits_base" },
	{ 0x8e42322e, "ocelot_sb_occ_snapshot" },
	{ 0x9465277c, "ocelot_get_ts_info" },
	{ 0x4f1936f, "ocelot_sb_occ_max_clear" },
	{ 0xae30fede, "ocelot_port_get_mm" },
	{ 0xda6e5708, "ocelot_ptp_gettime64" },
	{ 0xdbf1f88d, "ocelot_unlock_inj_grp" },
	{ 0xfef81228, "ocelot_get_strings" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2eadd07, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x87503ff6, "ocelot_unlock_xtr_grp_bh" },
	{ 0x7155bc68, "ocelot_port_add_dscp_prio" },
	{ 0xf0b418e0, "ocelot_drain_cpu_queue" },
	{ 0xaed53da7, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ee2eeab, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfca5b4a6, "__ocelot_read_ix" },
	{ 0x8680958f, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x449e641a, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf9a2f14, "ocelot_get_sset_count" },
	{ 0x697da249, "ocelot_migrate_mdbs" },
	{ 0x2806e884, "ocelot_hwstamp_get" },
	{ 0xd42a8891, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x237feb41, "ocelot_port_bridge_join" },
	{ 0x59f98a48, "ocelot_fdb_add" },
	{ 0x776c3a7c, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x25a32f4d, "ocelot_xtr_poll_frame" },
	{ 0x4bc6fcfc, "ocelot_port_get_default_prio" },
	{ 0x1622f1c2, "ptp_classify_raw" },
	{ 0xe673602a, "ocelot_port_set_default_prio" },
	{ 0x26497e36, "dsa_tag_8021q_register" },
	{ 0xe4650685, "ocelot_port_get_mm_stats" },
	{ 0xee3bf557, "ocelot_deinit" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x106c7a62, "ocelot_vlan_del" },
	{ 0x625b434d, "ocelot_bond_get_id" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0xd27a4628, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7ecc5092, "ocelot_cls_flower_destroy" },
	{ 0x89a83b27, "ocelot_port_vlan_filtering" },
	{ 0x2ae96d63, "ocelot_port_get_rmon_stats" },
	{ 0x17473823, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xf803f663, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xea457f3f, "ocelot_bridge_stp_state_set" },
	{ 0x1668327b, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8b7c9341, "netif_rx" },
	{ 0x775f9286, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x3bef01d7, "ocelot_fdb_del" },
	{ 0x7147c3e3, "ocelot_phylink_mac_link_down" },
	{ 0x85ddb0f7, "ocelot_port_lag_join" },
	{ 0x44a19784, "ocelot_port_get_eth_phy_stats" },
	{ 0x167bd536, "ocelot_port_lag_leave" },
	{ 0x6264dde5, "ocelot_mrp_add_ring_role" },
	{ 0xe4c2f2c6, "ocelot_port_set_mm" },
	{ 0xc94668f9, "ocelot_deinit_timestamp" },
	{ 0x6dc16288, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3bdf46d3, "ocelot_port_get_stats64" },
	{ 0xd638f000, "ocelot_port_get_dscp_prio" },
	{ 0x2739691, "ocelot_port_mdb_del" },
	{ 0x7ec25e54, "ocelot_port_get_eth_mac_stats" },
	{ 0x1e19bcb, "ocelot_mact_flush" },
	{ 0x30e54f4, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x324b6819, "ocelot_port_pre_bridge_flags" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "2C303F07CC10E74B93050C5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
