#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x20ef7d29, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xc9c1f500, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfea80c95, "sk_free" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x63ae0e98, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xce861da2, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b0ebf06, "skb_tstamp_tx" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x3baaf0f3, "__skb_get_hash_symmetric" },
	{ 0x49718ad, "skb_copy_ubufs" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xeefe1a25, "___pskb_trim" },
	{ 0x56285e38, "skb_queue_purge_reason" },
	{ 0x69af2034, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb49119b, "xdp_rxq_info_unreg" },
	{ 0x295dd8fb, "__netif_napi_del" },
	{ 0x544f41a, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xaea392f, "seq_printf" },
	{ 0xae1fdbf1, "netif_set_real_num_tx_queues" },
	{ 0x572c2bb, "netif_set_real_num_rx_queues" },
	{ 0xdb9a7bb4, "unregister_netdevice_queue" },
	{ 0x7a35e75d, "netdev_state_change" },
	{ 0xf51e20b, "build_skb" },
	{ 0x5821f1f1, "skb_put" },
	{ 0x7b3f3b17, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe1084b29, "xdp_do_redirect" },
	{ 0x2cdc1c00, "bpf_warn_invalid_xdp_action" },
	{ 0xc3e9fbe0, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3f7ee48a, "xdp_return_frame_rx_napi" },
	{ 0xebd44f99, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xed103f35, "_copy_to_iter" },
	{ 0xddfe140b, "iov_iter_advance" },
	{ 0x3cf61c8e, "skb_copy_datagram_iter" },
	{ 0xbfd1a0d4, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf22f1fb5, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x246ad7c2, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x3611fafc, "__skb_flow_dissect" },
	{ 0x6bbb9ca8, "skb_partial_csum_set" },
	{ 0x1301de3f, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x4770d6fa, "xdp_rxq_info_is_reg" },
	{ 0x83cb45f0, "lock_sock_nested" },
	{ 0x2a9bb4ad, "sk_attach_filter" },
	{ 0x6b21ea26, "release_sock" },
	{ 0x78dc7f3f, "__xdp_rxq_info_reg" },
	{ 0xcbe47fe2, "xdp_rxq_info_reg_mem_model" },
	{ 0x298ac495, "netif_napi_add_weight" },
	{ 0xb0555989, "napi_enable" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x19661d52, "ns_capable" },
	{ 0xdb7869c9, "get_net_ns" },
	{ 0x8bc13e85, "open_related_ns" },
	{ 0xc6cbbc89, "capable" },
	{ 0x46625dac, "__dev_get_by_name" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x5d9272eb, "make_kgid" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xda58e487, "alloc_netdev_mqs" },
	{ 0x4b7f807b, "ip_tunnel_header_ops" },
	{ 0x27fdfd72, "register_netdevice" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x2904eaf4, "netif_tx_wake_queue" },
	{ 0xe6f2996e, "make_kuid" },
	{ 0xbe75173a, "init_user_ns" },
	{ 0x65894b0, "from_kuid" },
	{ 0xbf502551, "sk_detach_filter" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x85ca8131, "dev_get_mac_address" },
	{ 0xe23048ea, "dev_set_mac_address_user" },
	{ 0x70335832, "netdev_update_features" },
	{ 0x55d42c7e, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaadb8a1, "dev_addr_mod" },
	{ 0x3edc71b4, "call_netdevice_notifiers" },
	{ 0x4d493623, "free_netdev" },
	{ 0x6c13291c, "from_kgid" },
	{ 0x5f4bf9aa, "__module_get" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7d8fc6d, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x711d98d5, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x24ea1f3b, "xdp_master_redirect" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9ac7374b, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb1a7faf2, "__put_devmap_managed_page_refs" },
	{ 0x75e72129, "_copy_from_iter" },
	{ 0x440d810b, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x88540954, "napi_get_frags" },
	{ 0x5a8ce2cd, "iov_iter_single_seg_count" },
	{ 0xdc83e8bb, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x23216114, "sock_alloc_send_pskb" },
	{ 0x8dbcd159, "zerocopy_sg_from_iter" },
	{ 0xa5f127dd, "eth_type_trans" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf4b56bf6, "skb_copy_datagram_from_iter" },
	{ 0xab194bfb, "do_xdp_generic" },
	{ 0xb8402faf, "iov_iter_revert" },
	{ 0xa25d479d, "netif_receive_skb" },
	{ 0x89ebec33, "skb_push" },
	{ 0xb2f5ea9e, "eth_get_headlen" },
	{ 0xb7eae4a8, "napi_schedule_prep" },
	{ 0x16069110, "napi_gro_frags" },
	{ 0x5bb0423e, "__napi_schedule" },
	{ 0x655d392a, "__page_frag_cache_drain" },
	{ 0xc2f7c85e, "passthru_features_check" },
	{ 0x12c86dca, "eth_mac_addr" },
	{ 0x8b1ab393, "eth_validate_addr" },
	{ 0xfd849001, "ethtool_op_get_link" },
	{ 0x9a76ad2d, "ethtool_op_get_ts_info" },
	{ 0x1586ba68, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5bf0a615, "fasync_helper" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0xda557e8c, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x85b6fb95, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7491894, "netif_carrier_on" },
	{ 0x3577e3c1, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd5a43273, "nla_put" },
	{ 0xd8a51d2f, "from_kgid_munged" },
	{ 0x199cf6fe, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x410bf45d, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf9f903, "dev_get_tstats64" },
	{ 0xaac0c9fe, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe0ab26f6, "bpf_prog_get_type_dev" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4546c87, "rtnl_link_register" },
	{ 0x5ed9b94a, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa95c7343, "rtnl_link_unregister" },
	{ 0xbb049f54, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x876c9156, "xdp_return_frame" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xef51237e, "kill_fasync" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4644eade, "napi_gro_receive" },
	{ 0xf9eb1684, "napi_complete_done" },
	{ 0x781fef29, "bpf_prog_put" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6e9012f9, "netdev_core_stats_alloc" },
	{ 0xbdd26326, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x524fbcc3, "sock_init_data_uid" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D5C32AED1E04F3C2E9DA85B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
