#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(orinoco_open, "", "");
KSYMTAB_FUNC(orinoco_stop, "", "");
KSYMTAB_FUNC(orinoco_set_multicast_list, "", "");
KSYMTAB_FUNC(orinoco_change_mtu, "", "");
KSYMTAB_FUNC(orinoco_process_xmit_skb, "", "");
KSYMTAB_FUNC(orinoco_tx_timeout, "", "");
KSYMTAB_FUNC(__orinoco_ev_rx, "", "");
KSYMTAB_FUNC(__orinoco_ev_info, "", "");
KSYMTAB_FUNC(orinoco_interrupt, "", "");
KSYMTAB_FUNC(orinoco_init, "", "");
KSYMTAB_FUNC(alloc_orinocodev, "", "");
KSYMTAB_FUNC(orinoco_if_add, "", "");
KSYMTAB_FUNC(orinoco_if_del, "", "");
KSYMTAB_FUNC(free_orinocodev, "", "");
KSYMTAB_FUNC(orinoco_up, "", "");
KSYMTAB_FUNC(orinoco_down, "", "");
KSYMTAB_FUNC(hermes_struct_init, "", "");

SYMBOL_CRC(orinoco_open, 0xf18d4c05, "");
SYMBOL_CRC(orinoco_stop, 0x02ffb581, "");
SYMBOL_CRC(orinoco_set_multicast_list, 0x48e0e36d, "");
SYMBOL_CRC(orinoco_change_mtu, 0x07975ca4, "");
SYMBOL_CRC(orinoco_process_xmit_skb, 0xda031165, "");
SYMBOL_CRC(orinoco_tx_timeout, 0xf27ea595, "");
SYMBOL_CRC(__orinoco_ev_rx, 0xebac01f5, "");
SYMBOL_CRC(__orinoco_ev_info, 0xe109ef0c, "");
SYMBOL_CRC(orinoco_interrupt, 0xffe27bca, "");
SYMBOL_CRC(orinoco_init, 0x6f115466, "");
SYMBOL_CRC(alloc_orinocodev, 0xc3ffd4f7, "");
SYMBOL_CRC(orinoco_if_add, 0x03f3d1bc, "");
SYMBOL_CRC(orinoco_if_del, 0xa3eaebee, "");
SYMBOL_CRC(free_orinocodev, 0xb89e0fb0, "");
SYMBOL_CRC(orinoco_up, 0x2bc89e30, "");
SYMBOL_CRC(orinoco_down, 0xa4620795, "");
SYMBOL_CRC(hermes_struct_init, 0xa74c2dc5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6cbbc89, "capable" },
	{ 0xc488bb72, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x259911e2, "crypto_shash_setkey" },
	{ 0xd621a9ef, "cfg80211_wext_giwfrag" },
	{ 0x89ebec33, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x93a346bb, "wireless_send_event" },
	{ 0xbe41072e, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4d493623, "free_netdev" },
	{ 0x99d5cfbd, "iw_handler_get_spy" },
	{ 0x6b3e377d, "crypto_shash_update" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2904eaf4, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5fbe75f6, "wireless_spy_update" },
	{ 0x8b7c9341, "netif_rx" },
	{ 0x72602fb1, "__netdev_alloc_skb" },
	{ 0xdd3f9475, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd55f5876, "cfg80211_wext_siwmode" },
	{ 0x2d81d3ca, "_dev_notice" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xbeac7a2d, "crypto_shash_final" },
	{ 0x7b198a95, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9c43b778, "cfg80211_wext_giwretry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3577e3c1, "netif_carrier_off" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x17a90567, "cfg80211_wext_siwscan" },
	{ 0xa7491894, "netif_carrier_on" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x554caef3, "cfg80211_inform_bss_data" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xa75460db, "param_ops_int" },
	{ 0xfc1ced7, "crypto_alloc_shash" },
	{ 0x3b66003f, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x64f4bf91, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4844dfda, "alloc_etherdev_mqs" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x12c86dca, "eth_mac_addr" },
	{ 0x5821f1f1, "skb_put" },
	{ 0x738efae3, "cfg80211_scan_done" },
	{ 0xbfd1a0d4, "consume_skb" },
	{ 0xd2ac36c, "cfg80211_wext_siwfrag" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xee34f6c8, "unregister_netdev" },
	{ 0x9651dd87, "cfg80211_wext_giwrts" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x5a8cb064, "request_firmware" },
	{ 0xa7c49b29, "cfg80211_wext_giwscan" },
	{ 0x69acdf38, "memcpy" },
	{ 0x162bb3c5, "cfg80211_wext_giwname" },
	{ 0x37a0cba, "kfree" },
	{ 0x57748b29, "iw_handler_set_spy" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x8b1ab393, "eth_validate_addr" },
	{ 0xf0d028be, "dev_kfree_skb_irq_reason" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe5432f5, "cfg80211_wext_giwmode" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc011c267, "cfg80211_wext_giwrange" },
	{ 0xaadb8a1, "dev_addr_mod" },
	{ 0xc4c3f554, "crypto_destroy_tfm" },
	{ 0xa5f127dd, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x14a514b6, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x848d372e, "iowrite8" },
	{ 0xab2ab60c, "iw_handler_get_thrspy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7b99811d, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x9be77fce, "cfg80211_put_bss" },
	{ 0x82f15419, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe678e646, "_dev_info" },
	{ 0x26f288ad, "cfg80211_wext_siwrts" },
	{ 0x6066816e, "netif_device_attach" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "B1B647A019CEB604DA8EB41");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
