#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0xb1c69fb8, "");
SYMBOL_CRC(rtw_pci_probe, 0x3b811c1f, "");
SYMBOL_CRC(rtw_pci_remove, 0xe9dcab42, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x80ae0e3b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30fcbaaf, "rtw_chip_info_setup" },
	{ 0x52bc8fed, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x357273a8, "rtw_unregister_hw" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x8973dae7, "skb_pull" },
	{ 0x586a09ef, "rtw_tx_fill_tx_desc" },
	{ 0x89ebec33, "skb_push" },
	{ 0x534cca86, "dma_alloc_attrs" },
	{ 0xb0555989, "napi_enable" },
	{ 0x954accd1, "rtw_core_init" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4438b688, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd104b8cf, "pci_iounmap" },
	{ 0x4c529572, "dma_sync_single_for_cpu" },
	{ 0x304d5cb, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x635ac5e2, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x494c6f18, "ieee80211_stop_queue" },
	{ 0x72602fb1, "__netdev_alloc_skb" },
	{ 0x1fb4ebc9, "rtw_rx_stats" },
	{ 0xfb3969c8, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x69806b7d, "rtw_register_hw" },
	{ 0xf822fcff, "dma_free_attrs" },
	{ 0x7b198a95, "param_ops_bool" },
	{ 0x3f280e1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb0bc7b31, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8c612f07, "rtw_core_deinit" },
	{ 0x46121821, "rtw_ops" },
	{ 0x1f1fc6c3, "pci_disable_device" },
	{ 0xb7eae4a8, "napi_schedule_prep" },
	{ 0x69af2034, "napi_disable" },
	{ 0xa2367829, "dev_kfree_skb_any_reason" },
	{ 0x19a66b32, "rtw_power_mode_change" },
	{ 0xa2d1968e, "rtw_tx_write_data_h2c_get" },
	{ 0x3444361e, "pci_free_irq_vectors" },
	{ 0x2d0b0d41, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5bf48549, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x4bf80e63, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x11a3396, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa5af491b, "rtw_tx_queue_mapping" },
	{ 0xee5ea030, "pcie_capability_read_word" },
	{ 0xf6323209, "devm_request_threaded_irq" },
	{ 0x8b52edbb, "pci_enable_device" },
	{ 0x5821f1f1, "skb_put" },
	{ 0xbfd1a0d4, "consume_skb" },
	{ 0x12343433, "pci_iomap" },
	{ 0xf482c6b9, "pci_alloc_irq_vectors" },
	{ 0x298ac495, "netif_napi_add_weight" },
	{ 0xc5eee34d, "skb_dequeue" },
	{ 0x7b26cdd0, "ieee80211_free_hw" },
	{ 0x56f54b02, "dma_unmap_page_attrs" },
	{ 0xfae79260, "dma_sync_single_for_device" },
	{ 0xfc60cd9a, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0xf0d028be, "dev_kfree_skb_irq_reason" },
	{ 0x67dfcb48, "pci_set_power_state" },
	{ 0x295dd8fb, "__netif_napi_del" },
	{ 0xaf46904a, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc568f6c1, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad086655, "dma_map_page_attrs" },
	{ 0xf9eb1684, "napi_complete_done" },
	{ 0xdee62232, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x205a9980, "devm_free_irq" },
	{ 0x5bb0423e, "__napi_schedule" },
	{ 0x4da47d34, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "90DC99D9FC974C42492204B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
