#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0xcd6eb5fb, "");
SYMBOL_CRC(rtw_sdio_probe, 0x71c8aba4, "");
SYMBOL_CRC(rtw_sdio_remove, 0xbe192ccd, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0xaae00b1f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30fcbaaf, "rtw_chip_info_setup" },
	{ 0xb1c1c9f1, "ieee80211_purge_tx_queue" },
	{ 0x357273a8, "rtw_unregister_hw" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x586a09ef, "rtw_tx_fill_tx_desc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x89ebec33, "skb_push" },
	{ 0x954accd1, "rtw_core_init" },
	{ 0xaa701d7f, "sdio_readl" },
	{ 0x4438b688, "ieee80211_alloc_hw_nm" },
	{ 0x304d5cb, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x88bbe004, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x72602fb1, "__netdev_alloc_skb" },
	{ 0x1fb4ebc9, "rtw_rx_stats" },
	{ 0x69806b7d, "rtw_register_hw" },
	{ 0x8c612f07, "rtw_core_deinit" },
	{ 0x46121821, "rtw_ops" },
	{ 0xcd400ab8, "sdio_claim_irq" },
	{ 0x394f0c9e, "skb_copy_header" },
	{ 0xd4168cd1, "sdio_enable_func" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xa2367829, "dev_kfree_skb_any_reason" },
	{ 0x19a66b32, "rtw_power_mode_change" },
	{ 0xa2d1968e, "rtw_tx_write_data_h2c_get" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x5bf48549, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xc1931d7a, "ieee80211_rx_irqsafe" },
	{ 0x7b10afb6, "skb_queue_head" },
	{ 0x450c9606, "sdio_readb" },
	{ 0x9e362048, "sdio_writeb" },
	{ 0x11a3396, "rtw_tx_report_enqueue" },
	{ 0x64310215, "sdio_release_host" },
	{ 0xa5af491b, "rtw_tx_queue_mapping" },
	{ 0x16a9e2e, "sdio_disable_func" },
	{ 0x9b707835, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5821f1f1, "skb_put" },
	{ 0xfbc1489c, "sdio_claim_host" },
	{ 0xf438355, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc5eee34d, "skb_dequeue" },
	{ 0x7b26cdd0, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x9d7b8942, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37fae14d, "sdio_align_size" },
	{ 0xdee62232, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2fa2921e, "sdio_release_irq" },
	{ 0x4da47d34, "skb_queue_tail" },
	{ 0x63b5bfee, "sdio_set_host_pm_flags" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211,mmc_core");


MODULE_INFO(srcversion, "A6231C214002CA09B84307F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
