#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_get_txpwr_cr, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_write_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_mac_read_xtal_si, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit_ru, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x4fcb7d4a, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x1c1073cd, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xde7e923b, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x9b8e4981, "");
SYMBOL_CRC(rtw89_core_rx, 0x2c24e8ca, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xc653de6a, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0xb13ed474, "");
SYMBOL_CRC(rtw89_core_napi_init, 0xe4352bbe, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x97929d13, "");
SYMBOL_CRC(rtw89_core_init, 0xb4bb8a6b, "");
SYMBOL_CRC(rtw89_core_deinit, 0x7cee97da, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x4fce87f0, "");
SYMBOL_CRC(rtw89_core_register, 0x6e3dd077, "");
SYMBOL_CRC(rtw89_core_unregister, 0xc927fb9e, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x66561102, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x073b62d8, "");
SYMBOL_CRC(rtw89_ops, 0x40723466, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xf876ee18, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x88e13dcd, "");
SYMBOL_CRC(rtw89_mac_size, 0x9ac85705, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x6b55dd5c, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x62c4f92a, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x3907d607, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x32cd9a03, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xaf7401a7, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x658a70e7, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0xefaaef53, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0xaa0b71cc, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xbf7994aa, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xe6f0ddf6, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x5fbc9b6d, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x32894745, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x4cbff4c1, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xb0c3db6a, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0x4b089240, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0xefaf4e2a, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xb412b016, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xd25a253a, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x9413bdeb, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x6b38b642, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x608ad44a, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x78a91725, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xaa12811e, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xab61c7c8, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x430c4c86, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xb1107378, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x4d01f53a, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x25cb8376, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0x7ff9a3e2, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0x5d169484, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0xdb4b4bf5, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0x1fd2cf57, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x11e0c926, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x61357198, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x3696a6a1, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x89184dde, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x63f14d32, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x9cf8ade2, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x22927016, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x86af1f54, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x0b53e3ad, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x5e2b0630, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x3ab319ce, "");
SYMBOL_CRC(rtw89_ser_notify, 0xf0a9fd24, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e245d1d, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfa19173, "ieee80211_next_txq" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x600e81fa, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x89ebec33, "skb_push" },
	{ 0xb0555989, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x88aa24b8, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x21e3115c, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x16427917, "ieee80211_free_txskb" },
	{ 0xcaeba49b, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4438b688, "ieee80211_alloc_hw_nm" },
	{   0x3a8f, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x72602fb1, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xeb42e837, "ieee80211_ready_on_channel" },
	{ 0x2b33127, "ieee80211_stop_queues" },
	{ 0x11595ea5, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf6af3744, "ieee80211_scan_completed" },
	{ 0x56785ea4, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7b198a95, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb0bc7b31, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaea392f, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2d9514b2, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x48f3e70b, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0xee0961a1, "ieee80211_cqm_rssi_notify" },
	{ 0x5815be89, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xb4ca5c48, "ieee80211_queue_work" },
	{ 0xb7eae4a8, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x69af2034, "napi_disable" },
	{ 0xa2367829, "dev_kfree_skb_any_reason" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2d0b0d41, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4bf80e63, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x19f3793, "ieee80211_stop_tx_ba_session" },
	{ 0x8215f582, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xcd8f245d, "ieee80211_connection_loss" },
	{ 0x28400527, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x83ec864, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd124f0e2, "__ieee80211_schedule_txq" },
	{ 0x20cfdfbf, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x74049747, "cfg80211_bss_iter" },
	{ 0x5821f1f1, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbfd1a0d4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x298ac495, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7b26cdd0, "ieee80211_free_hw" },
	{ 0x8a438887, "ieee80211_probereq_get" },
	{ 0xefba0961, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5a8cb064, "request_firmware" },
	{ 0x4fa24791, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc7f49a03, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x377ca7a, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x33f67cfa, "ieee80211_nullfunc_get" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x4ba2903d, "ieee80211_pspoll_get" },
	{ 0x3da0338d, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4fe95af2, "ieee80211_restart_hw" },
	{ 0x295dd8fb, "__netif_napi_del" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc83e8bb, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6ba7c2cf, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5bb0423e, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xe678e646, "_dev_info" },
	{ 0x4da47d34, "skb_queue_tail" },
	{ 0xe3da7d6e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xeebc1b00, "wiphy_to_ieee80211_hw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "8BAA1657F1E421F7279AE1E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
