#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0xf81b9b10, "");
SYMBOL_CRC(fc_host_post_event, 0x5bfb0394, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x4a2a457f, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x00f741c3, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x084f19da, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x9e858d36, "");
SYMBOL_CRC(fc_eh_timed_out, 0xeb87f22a, "");
SYMBOL_CRC(fc_attach_transport, 0xb2d2862f, "");
SYMBOL_CRC(fc_release_transport, 0x5ee52d73, "");
SYMBOL_CRC(fc_remove_host, 0x91941a14, "");
SYMBOL_CRC(fc_remote_port_add, 0x12189792, "");
SYMBOL_CRC(fc_remote_port_delete, 0x2eaf8a20, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0xd9fe52d7, "");
SYMBOL_CRC(fc_block_rport, 0x3991cf3f, "");
SYMBOL_CRC(fc_block_scsi_eh, 0x963afe81, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x23da772c, "_gpl");
SYMBOL_CRC(fc_vport_create, 0xdca89ea4, "");
SYMBOL_CRC(fc_vport_terminate, 0xbf0a1474, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd362f3e8, "__scsi_init_queue" },
	{ 0xe4545aa4, "blk_queue_rq_timeout" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3d7ff6b0, "attribute_container_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe67bc9e6, "scsi_host_get" },
	{ 0x63f07aa, "device_initialize" },
	{ 0x9fa9992a, "get_device" },
	{ 0x6431c028, "dev_set_name" },
	{ 0x3a11a213, "transport_setup_device" },
	{ 0xc9f99669, "device_add" },
	{ 0x8b71589e, "transport_add_device" },
	{ 0x29db086c, "transport_configure_device" },
	{ 0x776c511b, "sysfs_create_link" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x9ed951bc, "attribute_container_register" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e7e795b, "scsi_flush_work" },
	{ 0xc987d7f6, "bsg_remove_queue" },
	{ 0x8a588114, "scsi_target_unblock" },
	{ 0xea726f2c, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x158cc4be, "scsi_is_target_device" },
	{ 0xea73c330, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf7e4dc6e, "scsi_queue_work" },
	{ 0x59b97b25, "blk_mq_run_hw_queues" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x474be4bc, "bsg_job_get" },
	{ 0x96e66111, "blk_mq_end_request" },
	{ 0x5f96490, "bsg_job_put" },
	{ 0xedfd8118, "bsg_job_done" },
	{ 0xf6b6cb5, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3527458f, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x24407fb4, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xcdcc93d0, "scsi_host_put" },
	{ 0x3eae5009, "sysfs_remove_link" },
	{ 0x323cd117, "transport_remove_device" },
	{ 0x2377557a, "device_del" },
	{ 0x674fe2ab, "transport_destroy_device" },
	{ 0x3b80737c, "_dev_printk" },
	{ 0x3d36a609, "transport_class_register" },
	{ 0xcc566536, "transport_class_unregister" },
	{ 0x5a412a3c, "scsi_nl_sock" },
	{ 0x3f852956, "__alloc_skb" },
	{ 0x3bbb694d, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbc249c8, "netlink_broadcast" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0xbce498cf, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbb137521, "bsg_setup_queue" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "E29DEB5BC1973305DF301E7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
