#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xa72e043a, "");
SYMBOL_CRC(sas_remove_host, 0x94b6ca0f, "");
SYMBOL_CRC(sas_get_address, 0xc7d9089c, "");
SYMBOL_CRC(sas_tlr_supported, 0x9ca98033, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x86de18a9, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x9f9e23f7, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xbf604537, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xfcc73769, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xe4fa1f5b, "");
SYMBOL_CRC(sas_phy_add, 0x1dbd2b64, "");
SYMBOL_CRC(sas_phy_free, 0xbb1f785e, "");
SYMBOL_CRC(sas_phy_delete, 0x01578a63, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x23e2397d, "");
SYMBOL_CRC(sas_port_alloc, 0xcfce3a6a, "");
SYMBOL_CRC(sas_port_alloc_num, 0x695bbda8, "");
SYMBOL_CRC(sas_port_add, 0xdfb40093, "");
SYMBOL_CRC(sas_port_free, 0x98c3d8fc, "");
SYMBOL_CRC(sas_port_delete, 0xb18fca4d, "");
SYMBOL_CRC(scsi_is_sas_port, 0x1cd1be9a, "");
SYMBOL_CRC(sas_port_get_phy, 0x81549fe8, "");
SYMBOL_CRC(sas_port_add_phy, 0x9c174e53, "");
SYMBOL_CRC(sas_port_delete_phy, 0x57280bd0, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xcef0af54, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x52f5d653, "");
SYMBOL_CRC(sas_end_device_alloc, 0x7ca59382, "");
SYMBOL_CRC(sas_expander_alloc, 0x8f94aed2, "");
SYMBOL_CRC(sas_rphy_add, 0xa8f4f593, "");
SYMBOL_CRC(sas_rphy_free, 0x1165573a, "");
SYMBOL_CRC(sas_rphy_delete, 0xd632bc62, "");
SYMBOL_CRC(sas_rphy_unlink, 0x40179a5e, "");
SYMBOL_CRC(sas_rphy_remove, 0xd110ed59, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x7d8a49ac, "");
SYMBOL_CRC(sas_attach_transport, 0xb1ca39ce, "");
SYMBOL_CRC(sas_release_transport, 0x36d1948a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x9ed951bc, "attribute_container_register" },
	{ 0xd9601709, "scsi_get_vpd_page" },
	{ 0xd4db3e74, "scsi_mode_sense" },
	{ 0x3d7ff6b0, "attribute_container_unregister" },
	{ 0xf0187bfa, "scsi_remove_host" },
	{ 0xc987d7f6, "bsg_remove_queue" },
	{ 0xea726f2c, "scsi_remove_target" },
	{ 0xbce498cf, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0xedfd8118, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaa68851e, "dma_opt_mapping_size" },
	{ 0x63f07aa, "device_initialize" },
	{ 0x6431c028, "dev_set_name" },
	{ 0x3a11a213, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3ed5b01b, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3527458f, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xc9f99669, "device_add" },
	{ 0x8b71589e, "transport_add_device" },
	{ 0x29db086c, "transport_configure_device" },
	{ 0x2377557a, "device_del" },
	{ 0x674fe2ab, "transport_destroy_device" },
	{ 0x323cd117, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9fa9992a, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3eae5009, "sysfs_remove_link" },
	{ 0x776c511b, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3b80737c, "_dev_printk" },
	{ 0x24407fb4, "scsi_scan_target" },
	{ 0xbb137521, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x3d36a609, "transport_class_register" },
	{ 0xcc566536, "transport_class_unregister" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "082852696E06971446548D5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
