#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_cancel, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x498bead5, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x7b652897, "_gpl");
SYMBOL_CRC(dlm_posix_cancel, 0xf16b665c, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x6ac70bb5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56e9edaa, "default_llseek" },
	{ 0x5023e265, "sock_set_reuseaddr" },
	{ 0x58f9728, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xdff60815, "iov_iter_bvec" },
	{ 0x5ed9b94a, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53565fab, "kthread_create_on_node" },
	{ 0x89c88207, "bpf_trace_run3" },
	{ 0xeede0274, "seq_read" },
	{ 0x715f2a16, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x921d6b5c, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x51e08452, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe153198a, "config_item_init_type_name" },
	{ 0x59754b7c, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xccf93c, "alloc_pages" },
	{ 0xc439df84, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaea392f, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7c0758ab, "kobject_uevent" },
	{ 0xacef6ae5, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x5815be89, "seq_puts" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x85cbb0d0, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdcf7169, "tcp_sock_set_nodelay" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc69724c5, "seq_open" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x27e83dc4, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x97c89c06, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x569a5884, "sock_bind_add" },
	{ 0x249d2fb7, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x773df250, "kmem_cache_destroy" },
	{ 0x6b21ea26, "release_sock" },
	{ 0x2d3ebf4, "kset_create_and_add" },
	{ 0xa7bed1fe, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x540e7ea7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xbb049f54, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92a01dc2, "bpf_trace_run4" },
	{ 0xe2151a66, "config_group_init" },
	{ 0x20978fb9, "idr_find" },
	{ 0x9b2b10cd, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbf9d4f73, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfdc2a848, "trace_raw_output_prep" },
	{ 0xeefc25f3, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x89ac8db2, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd0d1e5a, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x709c5062, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x875d7045, "config_item_get" },
	{ 0xccac5afa, "kernel_bind" },
	{ 0x19d6c2e, "trace_event_raw_init" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1c42f61, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc0ad2ab0, "kset_unregister" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0xe0f856c1, "seq_lseek" },
	{ 0x52f62233, "kernel_kobj" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6950215d, "__tracepoint_sk_data_ready" },
	{ 0xd14c4278, "call_srcu" },
	{ 0x6a73332f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xeb6913b0, "kernel_accept" },
	{ 0x9ce5ddc3, "kernel_recvmsg" },
	{ 0xbd045b3e, "kmem_cache_create" },
	{ 0x7b9ea2e5, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4bdd7562, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaa15293f, "configfs_unregister_subsystem" },
	{ 0x1d57283f, "wake_up_process" },
	{ 0xc13a5248, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe7100b8d, "locks_lock_inode_wait" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa7ec2877, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xf46b6cc2, "locks_init_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbb2c5557, "__free_pages" },
	{ 0xbd04412f, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x544f41a, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb643e274, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x22cc6d9c, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x89bdf2f3, "simple_open" },
	{ 0x9900d923, "configfs_register_subsystem" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x88735b15, "configfs_remove_default_groups" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x80631801, "noop_llseek" },
	{ 0x4f401310, "__SCK__tp_func_sk_data_ready" },
	{ 0x9420ded0, "config_group_init_type_name" },
	{ 0xd2d9f4ee, "bpf_trace_run5" },
	{ 0x9f6e67c9, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x221c5e33, "kmem_cache_free" },
	{ 0xcfc31fd0, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x63691d08, "seq_putc" },
	{ 0xf9842b7d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf1e046cc, "panic" },
	{ 0xb027939f, "kobject_init_and_add" },
	{ 0x3bfae6c8, "sock_sendmsg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x83cb45f0, "lock_sock_nested" },
	{ 0xd75d03cf, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcb9aa628, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0xbd022f5f, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "7E0F2B1480EDFE116765A6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
