#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x74581db0, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x990a3e3b, "");
SYMBOL_CRC(dccp_v4_send_check, 0xa2d1234f, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0xa2ff218b, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x07f2743b, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xcd8df69b, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0xbe23d908, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x11e615cb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfad54a73, "dccp_rcv_state_process" },
	{ 0x8407a37b, "dccp_reqsk_send_ack" },
	{ 0xb8fc7a93, "inet_lookup_reuseport" },
	{ 0x98845916, "__inet_lookup_listener" },
	{ 0xf40f154d, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x42e9e9af, "sock_common_getsockopt" },
	{ 0x886a013a, "inet_bind" },
	{ 0x4d56cfcd, "__inet_inherit_port" },
	{ 0x5a1483e9, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x9ecd2432, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x24d24a3a, "__xfrm_policy_check" },
	{ 0x75d26578, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x33e9ed27, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x543929e7, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad171c1e, "sk_error_report" },
	{ 0x8dbd5884, "register_pernet_subsys" },
	{ 0x9e494787, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x92d91a1f, "inet_getname" },
	{ 0xe5087019, "inet_stream_connect" },
	{ 0xd0ab6f35, "proto_unregister" },
	{ 0x33b1c6ad, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x83b89ca0, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0x36837cab, "dccp_done" },
	{ 0x39eb9f79, "inet_release" },
	{ 0x5a2c5d34, "__sk_dst_check" },
	{ 0x4d706075, "dccp_disconnect" },
	{ 0x31871cad, "ip_route_output_key_hash" },
	{ 0x3b1832ec, "proto_register" },
	{ 0x32d28deb, "inet_hash" },
	{ 0x86a32bcc, "__sk_receive_skb" },
	{ 0x3886e682, "dccp_poll" },
	{ 0x8b1aeaab, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x7d960ea5, "inet_csk_get_port" },
	{ 0xc3226597, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0xb3212dd2, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xd252ab80, "inet_accept" },
	{ 0xaf8d1fda, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbbf57743, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x605a5609, "inet_add_protocol" },
	{ 0x6e2dcec2, "inet_shutdown" },
	{ 0xfea80c95, "sk_free" },
	{ 0xdb031d8b, "dccp_close" },
	{ 0xca4f8ba3, "kfree_skb_reason" },
	{ 0xb3a1376f, "dccp_reqsk_init" },
	{ 0x2f2d6de, "inet_hash_connect" },
	{ 0x221c5e33, "kmem_cache_free" },
	{ 0xe3d6e062, "inet_csk_route_child_sock" },
	{ 0x1e36d034, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7fdeed2c, "security_sk_classify_flow" },
	{ 0x4873c334, "inet_csk_update_pmtu" },
	{ 0xb14c53ac, "dccp_getsockopt" },
	{ 0x79076b10, "dccp_parse_options" },
	{ 0x3d941f9f, "unregister_pernet_subsys" },
	{ 0x5b1c79ea, "skb_checksum" },
	{ 0x896223fb, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xabae1dc2, "sock_no_mmap" },
	{ 0x1301de3f, "__pskb_pull_tail" },
	{ 0xa7ca4bbf, "dccp_child_process" },
	{ 0x5ebc694d, "sock_common_recvmsg" },
	{ 0x4687d305, "dccp_setsockopt" },
	{ 0x86f3d4b1, "dccp_ioctl" },
	{ 0xb5dff5d, "inet_sk_rebuild_header" },
	{ 0xe7bcc4bb, "inet_del_protocol" },
	{ 0x7730f400, "ipv4_mtu" },
	{ 0x3d889232, "dccp_recvmsg" },
	{ 0xddc14e8, "inet_sendmsg" },
	{ 0x92f81b02, "dccp_check_req" },
	{ 0x32218497, "dccp_create_openreq_child" },
	{ 0x5ee1d082, "inet_csk_prepare_forced_close" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0x6d1b1441, "sock_pfree" },
	{ 0x88da059a, "dccp_rcv_established" },
	{ 0xe3e34047, "dccp_send_sync" },
	{ 0x71b941c, "dst_release" },
	{ 0xacef6ae5, "sock_release" },
	{ 0xcbcd4d13, "dccp_make_response" },
	{ 0x8e9272df, "dccp_destroy_sock" },
	{ 0xbd2bac59, "dccp_ctl_make_reset" },
	{ 0xc50ee4d7, "sock_gettstamp" },
	{ 0xd4005cb1, "sk_setup_caps" },
	{ 0x110e7451, "ip_build_and_send_pkt" },
	{ 0xa5786eca, "dccp_sendmsg" },
	{ 0x50fb7892, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xc0048d80, "inet_twsk_put" },
	{ 0x26ab8482, "inet_unhash" },
	{ 0x804ecc7a, "ip_getsockopt" },
	{ 0xe2ad5213, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6f009ea1, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x1823afcb, "inet_csk_reqsk_queue_drop" },
	{ 0xbfbfc098, "__inet_lookup_established" },
	{ 0xfc5620ec, "inet_bhash2_reset_saddr" },
	{ 0xd6208f8d, "inet_csk_addr2sockaddr" },
	{ 0xfc708e0b, "inet_unregister_protosw" },
	{ 0x3b7b1707, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5473e4b7, "dccp_shutdown" },
	{ 0x1ff282b3, "inet_bhash2_update_saddr" },
	{ 0x55d45714, "dccp_connect" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "7CD7B0311F5E62658C36AA3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
