#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0x5f7774a8, "");
SYMBOL_CRC(fw_iso_resources_init, 0x8503cda0, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0x4320c4dd, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0x749bbf85, "");
SYMBOL_CRC(fw_iso_resources_update, 0x90fc66f1, "");
SYMBOL_CRC(fw_iso_resources_free, 0xff9b7590, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x44c65bfc, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0xcf5bc120, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x68fe04b1, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x878c0dc7, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x945154b3, "");
SYMBOL_CRC(fcp_avc_transaction, 0x360251d0, "");
SYMBOL_CRC(fcp_bus_reset, 0xededc79f, "");
SYMBOL_CRC(cmp_connection_init, 0x82d554a5, "");
SYMBOL_CRC(cmp_connection_check_used, 0xf666e2db, "");
SYMBOL_CRC(cmp_connection_destroy, 0xffc04c56, "");
SYMBOL_CRC(cmp_connection_reserve, 0x1cc24993, "");
SYMBOL_CRC(cmp_connection_release, 0x6b493cf8, "");
SYMBOL_CRC(cmp_connection_establish, 0x264808ca, "");
SYMBOL_CRC(cmp_connection_update, 0x8ace6999, "");
SYMBOL_CRC(cmp_connection_break, 0x4bb37a3e, "");
SYMBOL_CRC(amdtp_stream_init, 0x207ff272, "");
SYMBOL_CRC(amdtp_stream_destroy, 0x16c21b37, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0xda4ee3db, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x27283c26, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x87e9df04, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0xb7a6acc2, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0x582dd179, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0x0e0749bb, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0x9b8519f9, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0xdc42c07c, "");
SYMBOL_CRC(amdtp_domain_init, 0xe4e05373, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0xa32cb017, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x431a0bbb, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0xeed442b0, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0xacb95396, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x3a0f4bb9, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x6f5f072f, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x15e9526d, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x21b89b75, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0xc6a6820a, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x5effdc98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19d6c2e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xff1849a3, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xa9740028, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0xe5726cbd, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x872c1288, "fw_iso_context_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf8bed379, "fw_core_add_address_handler" },
	{ 0xc13a5248, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ccfdeb5, "snd_pcm_hw_rule_add" },
	{ 0xaf2b2f21, "fw_iso_context_queue" },
	{ 0xe678e646, "_dev_info" },
	{ 0xb1e82be, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb643e274, "perf_trace_run_bpf_submit" },
	{ 0x8c10e47, "_dev_err" },
	{ 0xd8eeaa17, "fw_iso_buffer_destroy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf9842b7d, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcd4eee4, "fw_iso_resource_manage" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xecb09419, "bpf_trace_run9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x62c649bb, "fw_iso_context_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x51e08452, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x93d50406, "snd_pcm_stop_xrun" },
	{ 0x8320e493, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc04c43e, "snd_pcm_period_elapsed" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2e823ad, "fw_iso_context_flush_completions" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0x6d2a1218, "fw_iso_context_destroy" },
	{ 0x93cd07a5, "trace_print_array_seq" },
	{ 0xf925c15a, "fw_run_transaction" },
	{ 0xad0996a1, "snd_rawmidi_receive" },
	{ 0x67838a0c, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xfded2b30, "snd_rawmidi_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfdc2a848, "trace_raw_output_prep" },
	{ 0xfd0d1e5a, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x709c5062, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa4ae39e0, "snd_pcm_hw_constraint_minmax" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "7C93D8006085971F696EFA7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
