#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0xf0d72d43, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0xd92ac740, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0xfe57866b, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0x77d6fc01, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0xc832ad98, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x454cdcad, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x9146f334, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x9dbf6f9c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0xccf5566a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x1bdac2b9, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x66a94cf3, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x24464616, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x781a850e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0xb95025cc, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x2346b930, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x5a23db63, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x30cd1d2d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x3ec86479, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0xf793df2e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x268f79c5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0xd05ba2e0, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x1421314e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0x355ee598, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0x6e033e02, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0xed9508f6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0xc46a019b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0x1afbdef0, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0x76b15d18, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0xf2ea2d9e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0x6a4bd91c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0x82ef6820, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb73fa42b, "snd_hdac_bus_link_power" },
	{ 0x37a0cba, "kfree" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21a1981a, "snd_hdac_bus_exit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3527458f, "put_device" },
	{ 0x20d35d98, "snd_hdac_bus_init" },
	{ 0xab084899, "snd_hdac_stream_init" },
	{ 0x8c10e47, "_dev_err" },
	{ 0xee5166f4, "snd_hdac_device_unregister" },
	{ 0xb0e04f48, "snd_hdac_stream_assign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x42590d5a, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdebbdb95, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdfaee3ff, "snd_hdac_bus_init_cmd_io" },
	{ 0xe748d1e0, "snd_hda_bus_type" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0x89063128, "driver_register" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xaf537133, "snd_hdac_stream_release" },
	{ 0x24a5e60f, "snd_hdac_stream_release_locked" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
