#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19d3b8aa, "rt5682s_sel_asrc_clk_src" },
	{ 0x8830f517, "snd_soc_dapm_disable_pin" },
	{ 0xc1019278, "hdac_hdmi_jack_init" },
	{ 0x4a8487ca, "snd_soc_card_jack_new" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xf26d361, "max_98357a_dai_link" },
	{ 0xcb2e9b59, "max_98360a_dai_link" },
	{ 0xea9996be, "snd_soc_dai_set_sysclk" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0xf07e896a, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7e6cfe3, "snd_soc_dapm_sync" },
	{ 0x98a75300, "sof_rt1015_codec_conf" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xc33edb95, "snd_soc_component_set_jack" },
	{ 0x2b55d43f, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x472c42de, "rt5645_sel_asrc_clk_src" },
	{ 0x810ecf08, "snd_soc_dapm_get_pin_switch" },
	{ 0x43480783, "max_98373_components" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x9af284a8, "max_98373_spk_codec_init" },
	{ 0x534f184c, "max_98390_dai_link" },
	{ 0xb57bc1ca, "max_98373_set_codec_conf" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0xd8f6e004, "hdac_hdmi_jack_port_init" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xf0641eff, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6e323e2f, "snd_jack_set_key" },
	{ 0xb6a76c4c, "__platform_driver_register" },
	{ 0x87fba843, "devm_kasprintf" },
	{ 0xac2a6de8, "snd_soc_card_jack_new_pins" },
	{ 0xbf722b34, "sof_rt1015p_codec_conf" },
	{ 0x48592d37, "snd_soc_dai_set_pll" },
	{ 0x368e289a, "snd_soc_dapm_new_controls" },
	{ 0xa4e65f8d, "rt5682_sel_asrc_clk_src" },
	{ 0x63505f5, "snd_soc_dapm_put_pin_switch" },
	{ 0x22c35b2c, "sof_dai_get_mclk" },
	{ 0xb0c86fa3, "sof_rt1011_codec_conf" },
	{ 0xc6d2a72a, "snd_soc_dapm_info_pin_switch" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x601cb242, "snd_soc_pm_ops" },
	{ 0x5a0a8bea, "hda_dsp_hdmi_build_controls" },
	{ 0xe5b68436, "max_98390_set_codec_conf" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0x65e3ca42, "sof_rt1015p_dai_link" },
	{ 0xfba2e02b, "sof_rt1019p_dai_link" },
	{ 0x2a525cac, "sof_rt1011_dai_link" },
	{ 0x815588a6, "clk_enable" },
	{ 0xdafcf584, "devm_snd_soc_register_card" },
	{ 0x6172f470, "max_98373_ops" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0x2a72de0e, "devm_kmalloc" },
	{ 0x586032d9, "platform_driver_unregister" },
	{ 0x8e306182, "snd_soc_dummy_dlc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x16546f57, "snd_soc_dai_set_tdm_slot" },
	{ 0x8017e76e, "sof_rt1015_dai_link" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-rt5682s,snd-soc-core,snd-soc-hdac-hdmi,snd-soc-intel-sof-maxim-common,snd-soc-intel-sof-realtek-common,snd-soc-rt5645,snd,snd-soc-rt5682,snd-sof,snd-soc-intel-hda-dsp-common,snd-pcm");

MODULE_ALIAS("platform:sof_rt5682");
MODULE_ALIAS("platform:cml_rt1015_rt5682");
MODULE_ALIAS("platform:jsl_rt5682_rt1015");
MODULE_ALIAS("platform:jsl_rt5682_mx98360");
MODULE_ALIAS("platform:jsl_rt5682_rt1015p");
MODULE_ALIAS("platform:jsl_rt5682");
MODULE_ALIAS("platform:tgl_mx98357_rt5682");
MODULE_ALIAS("platform:tgl_rt1011_rt5682");
MODULE_ALIAS("platform:tgl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98357_rt5682");
MODULE_ALIAS("platform:adl_max98390_rt5682");
MODULE_ALIAS("platform:adl_mx98360_rt5682");
MODULE_ALIAS("platform:adl_rt5682");
MODULE_ALIAS("platform:adl_rt1019_rt5682");
MODULE_ALIAS("platform:adl_rt5682_c1_h02");
MODULE_ALIAS("platform:rpl_mx98357_rt5682");
MODULE_ALIAS("platform:rpl_mx98360_rt5682");
MODULE_ALIAS("platform:rpl_rt1019_rt5682");
MODULE_ALIAS("platform:mtl_mx98357_rt5682");
MODULE_ALIAS("platform:mtl_mx98360_rt5682");
MODULE_ALIAS("platform:mtl_rt1019_rt5682");
MODULE_ALIAS("platform:jsl_rt5650");

MODULE_INFO(srcversion, "1B08B1866B405F5317A4222");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
