#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0x5f826d59, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0xcdef1c46, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0x419acd35, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0x8a0a6dc8, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0xb750b335, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0x64d2a544, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0xf86ddbe3, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0x39326b76, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0x5bc4e463, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0x02e43435, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0x7557220f, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0xf65eb353, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0x0b883a8e, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0x6abcfbb6, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0x718e27d6, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0xfe39588e, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0x21a39bfe, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0x4d538d58, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x24fb47cc, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0x12e3fde4, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0x5db97820, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0x7d6e740f, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x08c06664, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x0430943e, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0x97f134c6, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0x25296669, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0x9641e7c3, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0xcac3c1ab, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0xa7c081b4, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0x45d43ebf, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0x0b01933b, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0x6017dd24, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0x735cf5c6, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0x35983470, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0x654978d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb95025cc, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0xd92ac740, "snd_hdac_ext_bus_exit" },
	{ 0x617b3b7a, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3527458f, "put_device" },
	{ 0x9fc86591, "sysfs_remove_file_ns" },
	{ 0x6e033e02, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xc46a019b, "snd_hdac_ext_stream_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0xa9a58dc1, "snd_hdac_device_register" },
	{ 0x7845d46a, "snd_hdac_stream_spbcap_enable" },
	{ 0x8b92b9dc, "sst_ipc_tx_message_nopm" },
	{ 0xb6ece6cc, "snd_hdac_i915_init" },
	{ 0xe678e646, "_dev_info" },
	{ 0xa87ff9bc, "snd_hdac_bus_init_chip" },
	{ 0x95a58fb8, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb91d3aaf, "intel_nhlt_get_endpoint_blob" },
	{ 0x7d97843c, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x34b1227d, "sst_dsp_shim_read_unlocked" },
	{ 0xf0de244e, "devm_kfree" },
	{ 0x8c10e47, "_dev_err" },
	{ 0x89bdf2f3, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0x995a399f, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x702f00fd, "platform_device_unregister" },
	{ 0x851dac94, "sst_ipc_fini" },
	{ 0xf2ea2d9e, "snd_hdac_ext_stream_assign" },
	{ 0x6a4bd91c, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd05ba2e0, "snd_hdac_ext_stream_init_all" },
	{ 0xcfc31fd0, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x1c027679, "sst_dsp_shim_update_bits_unlocked" },
	{ 0x8e3e9db9, "sst_dsp_shim_update_bits_forced" },
	{ 0x6de2d2ca, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0xa2cea90a, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x4910a63d, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0x3017b289, "snd_soc_tplg_component_load" },
	{ 0x4c2635bc, "sst_dsp_shim_read" },
	{ 0x76b15d18, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdebbdb95, "snd_hdac_bus_stop_cmd_io" },
	{ 0xdce863b2, "snd_hdac_stream_sync" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe5bbb9dc, "pci_restore_state" },
	{ 0x56e9edaa, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xb1856295, "snd_pcm_set_managed_buffer_all" },
	{ 0x33a9481b, "_dev_warn" },
	{ 0x59285da5, "snd_hdac_display_power" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0x635ac5e2, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x749b0d89, "sst_dsp_mailbox_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2ee34749, "sst_ipc_tx_msg_reply_complete" },
	{ 0x5eafb928, "snd_soc_tplg_component_remove" },
	{ 0xdfaee3ff, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x44bd8002, "dma_set_coherent_mask" },
	{ 0xcf03b94a, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x114fc0c9, "sst_dsp_shim_update_bits" },
	{ 0xee30d164, "snd_hdac_acomp_exit" },
	{ 0x921d6b5c, "debugfs_create_file" },
	{ 0x11581e84, "snd_hdac_bus_parse_capabilities" },
	{ 0x37d9ca3b, "platform_device_register_full" },
	{ 0xa18a97f9, "sst_dsp_outbox_write" },
	{ 0x9d1b7ef6, "pm_runtime_allow" },
	{ 0x5a314cb6, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x6d7ff699, "snd_hdac_stream_setup" },
	{ 0x918e9b0f, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xe63f258, "snd_hdac_stream_set_params" },
	{ 0x3f280e1, "pci_release_regions" },
	{ 0x41d9fb04, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9dbf6f9c, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0x6b28892f, "snd_hdac_bus_handle_stream_irq" },
	{ 0xeccceaae, "pci_write_config_byte" },
	{ 0x612f47b1, "snd_hdac_stream_drsm_enable" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2cd1bf6f, "snd_soc_acpi_intel_skl_machines" },
	{ 0x66a94cf3, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x9abfd0a2, "snd_soc_set_runtime_hwparams" },
	{ 0x546ccf4d, "snd_hdac_get_stream" },
	{ 0x1f1fc6c3, "pci_disable_device" },
	{ 0x5a23db63, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x96434fc5, "pci_match_id" },
	{ 0xd4447833, "snd_hdac_stream_sync_trigger" },
	{ 0xf793df2e, "snd_hdac_ext_bus_link_put" },
	{ 0xc24fc7ce, "snd_hda_codec_device_init" },
	{ 0xd9b21d40, "dma_set_mask" },
	{ 0xc4c4883b, "snd_hdac_set_codec_wakeup" },
	{ 0xcd579366, "snd_hdac_stream_reset" },
	{ 0xca2ce293, "sst_dsp_shim_write" },
	{ 0xc04c43e, "snd_pcm_period_elapsed" },
	{ 0xddd833a9, "kmalloc_trace" },
	{ 0xed13b6ee, "__pm_runtime_suspend" },
	{ 0x912c1726, "snd_hdac_bus_alloc_stream_pages" },
	{ 0x9f33bcaa, "snd_soc_tplg_widget_bind_event" },
	{ 0xd1db799d, "pci_read_config_byte" },
	{ 0x980a6188, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0xa75460db, "param_ops_int" },
	{ 0x79c29d16, "intel_nhlt_init" },
	{ 0x169047c4, "snd_hdac_stop_streams_and_chip" },
	{ 0x263027f3, "snd_hdac_dsp_cleanup" },
	{ 0x97c89c06, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x1afbdef0, "snd_hdac_ext_stream_reset" },
	{ 0x13592c37, "snd_hdac_stop_streams" },
	{ 0x30cd1d2d, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xf788caa0, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x43c12914, "pci_write_config_dword" },
	{ 0x5d1430e1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8477fd97, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4a80310f, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfcee273e, "snd_soc_acpi_intel_hda_machines" },
	{ 0x4e920641, "platform_device_put" },
	{ 0xc83b81ae, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2346b930, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x75bd8675, "sst_dsp_register_poll" },
	{ 0x4e8819ae, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a72de0e, "devm_kmalloc" },
	{ 0x8b52edbb, "pci_enable_device" },
	{ 0xa286c59a, "snd_hdac_bus_send_cmd" },
	{ 0x93e18587, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x10e0e94f, "snd_hdac_stream_set_spib" },
	{ 0x32c017ae, "snd_hdac_bus_enter_link_reset" },
	{ 0xcd20f6f9, "sst_ipc_tx_message_wait" },
	{ 0x87c4a262, "intel_nhlt_get_dmic_geo" },
	{ 0xbb6548e6, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xed9508f6, "snd_hdac_ext_stream_start" },
	{ 0xeb6752, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1421314e, "snd_hdac_ext_stream_free_all" },
	{ 0x1bc3aeca, "snd_hdac_bus_update_rirb" },
	{ 0x2701f20b, "sst_dsp_shim_write_unlocked" },
	{ 0x454cdcad, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a8cb064, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xaf84180d, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xa4ae39e0, "snd_pcm_hw_constraint_minmax" },
	{ 0xc9222f50, "snd_hdac_codec_modalias" },
	{ 0x47652069, "snd_hdac_bus_stop_chip" },
	{ 0xfc60cd9a, "pci_request_regions" },
	{ 0x24464616, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0d72d43, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x91821cc5, "snd_intel_dsp_driver_probe" },
	{ 0xc25b0260, "snd_hdac_stream_set_lpib" },
	{ 0x8371e54a, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcaae8213, "__dynamic_dev_dbg" },
	{ 0xb6b24aa6, "snd_sgbuf_get_chunk_size" },
	{ 0x77e667b2, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfe57866b, "snd_hdac_ext_bus_device_remove" },
	{ 0x9146f334, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0x3f55de39, "snd_pcm_set_sync" },
	{ 0x557744cb, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x45acd2be, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x368f0b84, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbcc7ad21, "snd_hdac_stream_timecounter_init" },
	{ 0xccf5566a, "snd_hdac_ext_link_free_all" },
	{ 0x981fad6e, "sst_ipc_tx_message_nowait" },
	{ 0x6922f696, "pci_read_config_dword" },
	{ 0xfaf11cb1, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc87ca8e7, "devm_snd_soc_register_component" },
	{ 0x335d9d8a, "snd_hdac_bus_free_stream_pages" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xda74910f, "snd_hdac_dsp_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfb5b99d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-sst-dsp,snd-soc-acpi-intel-match,snd-soc-acpi,snd-soc-core,snd-pcm,snd-hda-codec,snd-soc-hdac-hda");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "79AC3EEF8E6F3965F4E73CF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
